<?php 
if(!function_exists('hera_custom_frontend_style')){
    function hera_custom_frontend_style(){
        global $hera_option;
?>        
    <style type="text/css">    	
		/* 01 MAIN STYLES
		****************************************************************************************************/
		a {
		  color: <?php echo esc_attr( $theme_option['main_color'] ); ?>;
		}
		::selection {
		  color: #fff;
		  background: <?php echo esc_attr( $theme_option['main_color'] ); ?>;
		}
		::-moz-selection {
		  color: #fff;
		  background: <?php echo esc_attr( $theme_option['main_color'] ); ?>;
		}

		/**** Custom Preload ****/
		#royal_preloader.number .percentage{
			<?php if($hera_option['background-parallax-blog'] != ''){ ?>
				background-image:url(<?php echo esc_url($hera_option['logopre']['url']); ?>);
			<?php } ?>
			<?php if($hera_option['preload_color'] != ''){ ?>
				color: <?php echo esc_attr( $hera_option['preload_color'] ); ?>;
			<?php } ?>
			<?php if($hera_option['prelogo_width'] != ''){ ?>width: <?php echo esc_attr( $hera_option['prelogo_width'] ); ?>px;<?php } ?>
		    <?php if($hera_option['prelogo_height'] != ''){ ?>height: <?php echo esc_attr( $hera_option['prelogo_height'] ); ?>px;<?php } ?>    
		    margin: -<?php $height = $hera_option['prelogo_height'] / 2; echo esc_attr($height); ?>px 0px 0px -<?php $width = $hera_option['prelogo_width'] / 2; echo esc_attr($width); ?>px;    
		}

		/**** Custom css header ****/
		<?php if($hera_option['colormenu'] != ''){ ?> .menu-back.cbp-af-header ul.slimmenu li a {color:<?php echo esc_attr( $hera_option['colormenu'] ); ?>;} <?php } ?>
		<?php if($hera_option['colormenu_scroll'] != ''){ ?> .cbp-af-header.cbp-af-header-shrink ul.slimmenu li a {color:<?php echo esc_attr( $hera_option['colormenu_scroll'] ); ?>;} <?php } ?>
		.menu-back.cbp-af-header ul.slimmenu li a.mPS2id-highlight, 
		.cbp-af-header.cbp-af-header-shrink ul.slimmenu li a.mPS2id-highlight {
		  color:<?php echo esc_attr( $hera_option['main_color'] ); ?>;
		  border-bottom: 0px solid <?php echo esc_attr( $hera_option['main_color'] ); ?>;
		}
		.menu-back ul.slimmenu > li.current-menu-item > a, 
		.menu-back ul.slimmenu > li.current-menu-ancestor > a{color:<?php echo esc_attr( $hera_option['main_color'] ); ?>;}
		.menu-back ul.slimmenu li.current-menu-ancestor ul li.current-menu-item a, .menu-back ul.slimmenu li a:hover, .header2 ul.slimmenu li a:hover {
		  color:<?php echo esc_attr( $hera_option['main_color'] ); ?>;
		  border-bottom: 1px solid <?php echo esc_attr( $hera_option['main_color'] ); ?>;
		}

		<?php if(isset($hera_option['header_layout']) and $hera_option['header_layout']=="header2" ){ ?>
			/**** Custom css header 2 ****/
			.header2 ul.slimmenu li a {color:<?php echo esc_attr($hera_option['colormenu']); ?>;}
			.header2 ul.slimmenu {
				margin-top: <?php $height_logo_header2 = $hera_option['logo_height'] + $hera_option['logo_margin'] + 10; echo esc_attr($height_logo_header2); ?>px;
			}
			/**** Custom logo 2 ****/
			#menu-wrap .logo {
			    width: <?php echo esc_attr($hera_option['logo_width']); ?>px;  
			  	height: <?php echo esc_attr($hera_option['logo_height']); ?>px; 
			    margin-left:-<?php $width = $hera_option['logo_width'] / 2; echo esc_attr($width); ?>px;
			    top: <?php echo esc_attr( $hera_option['logo_margin'] ); ?>px;
			}
			@media only screen and (max-width: 800px) {  
				#menu-wrap .logo {
				    width: <?php echo esc_attr($hera_option['logo_width_mobile']); ?>px;  
				  	height: <?php echo esc_attr($hera_option['logo_height_mobile']); ?>px; 
				    margin-left:-<?php $width = $hera_option['logo_width_mobile'] / 2; echo esc_attr($width); ?>px;
				    top: <?php echo esc_attr( $hera_option['logo_margin'] ); ?>px;
				}	
			}
		<?php }else{  ?>
			/**** Custom logo 1 ****/
			<?php if($hera_option['logo'] != ''){ ?>
				.logo, .cbp-af-header.cbp-af-header-shrink .logo {background-image:url('<?php echo esc_url($hera_option['logo']['url']); ?>');}
			<?php } ?>
			.logo{      
				width: <?php echo esc_attr($hera_option['logo_width']); ?>px;  
				height: <?php echo esc_attr($hera_option['logo_height']); ?>px;       
				background-size: <?php echo esc_attr($hera_option['logo_width']); ?>px <?php echo esc_attr($hera_option['logo_height']); ?>px; 
			}
			.cbp-af-header.cbp-af-header-shrink .logo{  
				width: <?php echo esc_attr($hera_option['logos_width']); ?>px;  
				height: <?php echo esc_attr($hera_option['logos_height']); ?>px;        
				background-size: <?php echo esc_attr($hera_option['logos_width']); ?>px <?php echo esc_attr($hera_option['logos_height']); ?>px;
			}
			@media only screen and (max-width: 800px) {  	
				.logo, .cbp-af-header.cbp-af-header-shrink .logo{      
					width: <?php echo esc_attr($hera_option['logo_width_mobile']); ?>px;  
					height: <?php echo esc_attr($hera_option['logo_height_mobile']); ?>px;        
					background-size: <?php echo esc_attr($hera_option['logo_width_mobile']); ?>px <?php echo esc_attr($hera_option['logo_height_mobile']); ?>px;    
				}
			}
			.logo, .cbp-af-header.cbp-af-header-shrink .logo {top: <?php echo esc_attr( $hera_option['logo_margin'] ); ?>px;}
		<?php } ?>

		<?php if($hera_option['background-parallax-blog'] != ''){ ?>
			.parallax-blog{
				background-image:url(<?php echo esc_url($hera_option['background-parallax-blog']['url']); ?>);
			}
		<?php } ?>

		span i {
			color: <?php echo esc_attr($hera_option['main_color']); ?>;
			text-shadow: 0 0 10px <?php echo esc_attr($hera_option['main_color']); ?>, 
				0 0 5px rgba(230, 126, 34, 0.41), 
				0 0 30px rgba(230, 126, 34, 0.31), 
				0 0 50px rgba(230, 126, 34, 0.11), 
				5px 9px 5px rgba(0, 0, 0, 0.2);
		}
		.blog-post h6 a:hover,
		.blog-post p span,
		.pagination .current,
		.pagination ul li a:hover,
		.tag11 a:hover,.widget_tag_cloud .tagcloud a:hover,
		.comment-form input[type="submit"]:hover,
		.widget_categories ul li a:hover, .widget_archive ul li a:hover,.widget_meta ul li a:hover,
		.widget_recent_entries ul li:hover a,
		.btn.btn-primary,
		.post-content-comment .reply a.comment-reply-link:hover,
		#royal_preloader.text .loader,
		#about h1, .cl-effect a span:before, #button-con button span:before,
		.big-text span, .header2 ul.slimmenu li a.mPS2id-highlight,
		.skill li h3,
		.tweet-item a,
		.tweet-item i,
		.icon-twit,
		#work h1, .tp-caption span,
		.grid li h3,
		.grid li.shown:hover h3,
		#services h1,
		.plan-icon,
		.featured h5,
		.plan-single .sections-link-pages a,
		.plan-single .sections-link-pages .cl-effect-11 a,
		.testimonials-wrap p span,
		#contact h1,
		#footer .back-top,
		#footer p a:hover,
		.icon-footer,
		.list-social li.icon-soc a,
		.wpcf7-form input[type="submit"],
		.content-style-overlay .menu-in-overlay li a:hover,
		.content-style-overlay .menu-in-overlay li.cl-effect-11.active a,
		.content-style-overlay .menu-in-overlay li.active a,
		#footer p i, #cd-google-map address, .contact-det h6 i, .contact-det p a:hover,
		#filter li .current, #filter li a:hover, .icon-left1, .home-blog h5 a:hover, 
		home-blog .meta_data i, h1.page-title, .team article p span, .service-box i, .widget_meta abbr,
		.blog_post .meta_data span a:hover, .mb_YTVPBar, .big-text-down {
			color:<?php echo esc_attr($hera_option['main_color']); ?>;
		}
		#ajax-form textarea:focus,
		#ajax-form input:focus,
		#ajax-form textarea:active,
		#ajax-form input:active { 
		  border-bottom:2px solid <?php echo esc_attr( $hera_option['main_color'] ); ?>;
		}
		#ajax-form button{
		  color: <?php echo esc_attr( $hera_option['main_color'] ); ?>;
		}
		.bar-prc, .bar-prc1, .counter-line{ background-color:<?php echo esc_attr($hera_option['main_color']); ?>; }

		#bar,#sync4 .item:hover,
		#sync4 .synced .item,
		.grid .curtain,
		#sync5 #bar, .mb_YTVTime {
			background:<?php echo esc_attr($hera_option['main_color']); ?>;
		}
		#cd-zoom-in, #cd-zoom-out {
		  background-color: <?php echo esc_attr($hera_option['main_color']); ?>;
		}
		.comment-form input[type="text"]:focus, 
		.comment-form input[type="email"]:focus,
		.comment-form input[type="url"]:focus,
		.comment-form textarea:focus{
		  border:1px solid <?php echo esc_attr($hera_option['main_color']); ?>;
		}

		.testimonials-wrap img{
			border:4px solid <?php echo esc_attr($hera_option['main_color']); ?>;
		}

		.testimonials-wrap  .arrow-right{
			border-left:7px solid <?php echo esc_attr($hera_option['main_color']); ?>;
		}

		.search_form input:focus{
			border-color:<?php echo esc_attr($hera_option['main_color']); ?>;
		}

		/**** Custom CSS Footer ****/
		#footer {background: <?php echo esc_attr($hera_option['footer_bg']); ?>;}
		#footer p, #footer p a {color: <?php echo esc_attr($hera_option['footer_color']); ?>;}

		<?php 
			global $hera_option;
			function hex2rgb($hex) {
			$hex = str_replace("#", "", $hex);

			if(strlen($hex) == 3) {
			$r = hexdec(substr($hex,0,1).substr($hex,0,1));
			$g = hexdec(substr($hex,1,1).substr($hex,1,1));
			$b = hexdec(substr($hex,2,1).substr($hex,2,1));
			} else {
			$r = hexdec(substr($hex,0,2));
			$g = hexdec(substr($hex,2,2));
			$b = hexdec(substr($hex,4,2));
			}
			$rgb = array($r, $g, $b);

			return $rgb; // returns an array with the rgb values
			}

			$Hex_color = $hera_option['background_header'];
			$RGB_color = hex2rgb($Hex_color);
			$Final_Rgb_color = implode(", ", $RGB_color);
		?>

		<?php if(isset($hera_option['header_layout']) and $hera_option['header_layout']=="header2" ){ ?>
			/**** Custom css header 2 ****/
			#menu-wrap {
			    background:rgba(<?php echo $Final_Rgb_color;  ?>, .98);
			}
		<?php }else{  ?>
			/**** Custom logo 1 ****/
			.menu-back { background:rgba(<?php echo $Final_Rgb_color;  ?>, .9); }
			.cbp-af-header.cbp-af-header-shrink { background:<?php echo esc_attr( $hera_option['background_header_scroll'] ); ?>; }
		<?php } ?>

		<?php if($hera_option['line_menu'] != ''){ ?>
			ul.slimmenu li {
			    background-image:url('<?php echo esc_url($hera_option['line_menu']['url']); ?>');
			}  
			.header2 ul.slimmenu li {background-image:none;}
			@media only screen and (max-width: 800px) {
				ul.slimmenu li {
			        background-image:none;
			    }
		    }
		<?php } ?>  

		.hera-showcase .logo{
			top: <?php echo esc_attr( $hera_option['logo_margin'] ); ?>px;
			background: none no-repeat center center;
			width: <?php echo esc_attr($hera_option['logo_width']); ?>px;  
			height: <?php echo esc_attr($hera_option['logo_height']); ?>px;       
			background-size: <?php echo esc_attr($hera_option['logo_width']); ?>px <?php echo esc_attr($hera_option['logo_height']); ?>px; 
		}
		@media only screen and (max-width: 800px) {
			.hera-showcase .logo{	
				width: <?php echo esc_attr($hera_option['logo_width_mobile']); ?>px;  
				height: <?php echo esc_attr($hera_option['logo_height_mobile']); ?>px;        
				background-size: <?php echo esc_attr($hera_option['logo_width_mobile']); ?>px <?php echo esc_attr($hera_option['logo_height_mobile']); ?>px;  
				top: <?php echo esc_attr( $hera_option['logo_margin'] ); ?>px;				
				background: none no-repeat center center;				
			}	
		}

		/** Customize css code **/
		<?php echo htmlspecialchars_decode($hera_option['custom-css']); ?>
    </style>
<?php        
    }
}
add_action('wp_head', 'hera_custom_frontend_style');
