<?php 
// Creating the widget 
class socials_widget extends WP_Widget {
	function __construct() {
		parent::__construct(
			// Base ID of your widget
			'socials_widget', 
			// Widget name will appear in UI
			__('Hera Socials', 'hera'), 

			// Widget description
			array( 'description' => __( 'Hera Socials Footer', 'hera' ), ) 
		);
	}

	// Creating widget front-end
	// This is where the action happens
	public function widget( $args, $instance ) {
		// these are the widget options
		 $title = apply_filters( 'widget_title', $instance['title'] );
		 $facebook = esc_attr($instance['facebook']); 
		 $gplus = esc_attr($instance['gplus']); 
		 $twitter = esc_attr($instance['twitter']); 
		 $youtube = esc_attr($instance['youtube']); 
		 $linkedin = esc_attr($instance['linkedin']); 
		 $dribbble = esc_attr($instance['dribbble']); 
		 $pinterest = esc_attr($instance['pinterest']);
		 $skype = esc_attr($instance['skype']); 
		 $rss = esc_attr($instance['rss']);

	// before and after widget arguments are defined by themes
	echo $args['before_widget'];
	if ( ! empty( $title ) ){
		echo $args['before_title'] . $title . $args['after_title'];
	}?>

	<div class="social-bottom">
		<ul class="list-social">
			<?php
			   if( $twitter ) {
				  echo '<li class="icon-soc tipped" data-title="twitter"><a href="'.$twitter.'" title="twitter"><i class="fa fa-twitter"></i></a></li>';
			   }
			   if( $facebook ) {
				  echo '<li class="icon-soc tipped" data-title="facebook"><a href="'.$facebook.'" title="facebook" ><i class="fa fa-facebook"></i></a></li>';
			   }
			   if( $youtube ) {
				  echo '<li class="icon-soc tipped" data-title="youtube"><a href="'.$youtube.'" title="youtube"><i class="fa fa-youtube"></i></a></li>';
			   }
			   if( $linkedin ) {
				  echo '<li class="icon-soc tipped" data-title="linkedin"><a href="'.$linkedin.'" title="linkedin"><i class="fa fa-linkedin"></i></a></li>';
			   }
			   if( $skype ) {
				  echo '<li class="icon-soc tipped" data-title="skype"><a href="'.$skype.'" title="skype"><i class="fa fa-skype"></i></a></li>';
			   } 
			   if( $gplus ) {
				  echo '<li class="icon-soc tipped" data-title="google-plus"><a href="'.$gplus.'" title="google-plus"><i class="fa fa-google-plus"></i></a></li>';
				}
			   if( $dribbble ) {
				  echo '<li class="icon-soc tipped" data-title="dribbble"><a href="'.$dribbble.'" title="dribbble"><i class="fa fa-dribbble"></i></a></li>';
			   }
				if( $pinterest ) {
				  echo '<li class="icon-soc tipped" data-title="pinterest"><a href="'.$pinterest.'" title="pinterest"><i class="fa fa-pinterest"></i></a></li>';
			   }		   
			   if( $rss ) {
				  echo '<li class="icon-soc tipped" data-title="rss"><a href="'.$rss.'" title="rss"><i class="fa fa-rss"></i></a></li>';
			   }  
			?>
		</ul>
	</div>
	<?php 
	echo $args['after_widget'];
	}

	// Widget Backend 
	public function form( $instance ) {

		// Check values
		 $title = esc_attr($instance['title']);
		 $facebook = esc_attr($instance['facebook']); 
		 $gplus = esc_attr($instance['gplus']); 
		 $twitter = esc_attr($instance['twitter']); 
		 $youtube = esc_attr($instance['youtube']); 
		 $linkedin = esc_attr($instance['linkedin']); 
		 $dribbble = esc_attr($instance['dribbble']); 
		 $pinterest = esc_attr($instance['pinterest']); 
		 $skype = esc_attr($instance['skype']); 
		 $rss = esc_attr($instance['rss']);
		// Widget admin form
	?>

		<p>
			<label for="<?php echo htmlspecialchars_decode($this->get_field_id( 'title' )); ?>"><?php esc_html_e( 'Title:', 'hera' ); ?></label> 
			<input class="widefat" id="<?php echo htmlspecialchars_decode($this->get_field_id( 'title' )); ?>" name="<?php echo htmlspecialchars_decode($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $title ); ?>" />
		</p>


		<p>
			<label for="<?php echo htmlspecialchars_decode($this->get_field_id('facebook')); ?>"><?php esc_html_e('Link Facebook:', 'hera'); ?></label>
			<input class="widefat" id="<?php echo htmlspecialchars_decode($this->get_field_id('facebook')); ?>" name="<?php echo htmlspecialchars_decode($this->get_field_name('facebook')); ?>" type="text" value="<?php echo esc_attr($facebook); ?>" />
		</p>

		<p>
			<label for="<?php echo htmlspecialchars_decode($this->get_field_id('gplus')); ?>"><?php esc_html_e('Link Google+:', 'hera'); ?></label>
			<input class="widefat" id="<?php echo htmlspecialchars_decode($this->get_field_id('gplus')); ?>" name="<?php echo htmlspecialchars_decode($this->get_field_name('gplus')); ?>" type="text" value="<?php echo esc_attr($gplus); ?>" />
		</p>

		<p>
			<label for="<?php echo htmlspecialchars_decode($this->get_field_id('twitter')); ?>"><?php esc_html_e('Link Twitter:', 'hera'); ?></label>
			<input class="widefat" id="<?php echo htmlspecialchars_decode($this->get_field_id('twitter')); ?>" name="<?php echo htmlspecialchars_decode($this->get_field_name('twitter')); ?>" type="text" value="<?php echo esc_attr($twitter); ?>" />
		</p>

		<p>
			<label for="<?php echo htmlspecialchars_decode($this->get_field_id('youtube')); ?>"><?php esc_html_e('Link Youtube:', 'hera'); ?></label>
			<input class="widefat" id="<?php echo htmlspecialchars_decode($this->get_field_id('youtube')); ?>" name="<?php echo htmlspecialchars_decode($this->get_field_name('youtube')); ?>" type="text" value="<?php echo esc_attr($youtube); ?>" />
		</p>

		<p>
			<label for="<?php echo htmlspecialchars_decode($this->get_field_id('linkedin')); ?>"><?php esc_html_e('Link Linkedin:', 'hera'); ?></label>
			<input class="widefat" id="<?php echo htmlspecialchars_decode($this->get_field_id('linkedin')); ?>" name="<?php echo htmlspecialchars_decode($this->get_field_name('linkedin')); ?>" type="text" value="<?php echo esc_attr($linkedin); ?>" />
		</p>

		<p>
			<label for="<?php echo htmlspecialchars_decode($this->get_field_id('dribbble')); ?>"><?php esc_html_e('Link Dribbble:', 'hera'); ?></label>
			<input class="widefat" id="<?php echo htmlspecialchars_decode($this->get_field_id('dribbble')); ?>" name="<?php echo htmlspecialchars_decode($this->get_field_name('dribbble')); ?>" type="text" value="<?php echo esc_attr($dribbble); ?>" />
		</p>

		<p>
			<label for="<?php echo htmlspecialchars_decode($this->get_field_id('pinterest')); ?>"><?php esc_html_e('Link Pinterest:', 'hera'); ?></label>
			<input class="widefat" id="<?php echo htmlspecialchars_decode($this->get_field_id('pinterest')); ?>" name="<?php echo htmlspecialchars_decode($this->get_field_name('pinterest')); ?>" type="text" value="<?php echo esc_attr($pinterest); ?>" />
		</p>

		<p>
			<label for="<?php echo htmlspecialchars_decode($this->get_field_id('skype')); ?>"><?php esc_html_e('Link Skype:', 'hera'); ?></label>
			<input class="widefat" id="<?php echo htmlspecialchars_decode($this->get_field_id('skype')); ?>" name="<?php echo htmlspecialchars_decode($this->get_field_name('skype')); ?>" type="text" value="<?php echo esc_attr($skype); ?>" />
		</p>

		<p>
			<label for="<?php echo htmlspecialchars_decode($this->get_field_id('rss')); ?>"><?php esc_html_e('Link Rss:', 'hera'); ?></label>
			<input class="widefat" id="<?php echo htmlspecialchars_decode($this->get_field_id('rss')); ?>" name="<?php echo htmlspecialchars_decode($this->get_field_name('rss')); ?>" type="text" value="<?php echo esc_attr($rss); ?>" />
		</p>

	<?php 
	}

	// Updating widget replacing old instances with new
	public function update( $new_instance, $old_instance ) {

		$instance = array();
		$instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
		$instance['facebook'] = ( ! empty( $new_instance['facebook'] ) ) ? strip_tags( $new_instance['facebook'] ) : '';
		$instance['gplus'] = ( ! empty( $new_instance['gplus'] ) ) ? strip_tags( $new_instance['gplus'] ) : '';
		$instance['twitter'] = ( ! empty( $new_instance['twitter'] ) ) ? strip_tags( $new_instance['twitter'] ) : '';
		$instance['youtube'] = ( ! empty( $new_instance['youtube'] ) ) ? strip_tags( $new_instance['youtube'] ) : '';
		$instance['linkedin'] = ( ! empty( $new_instance['linkedin'] ) ) ? strip_tags( $new_instance['linkedin'] ) : '';
		$instance['dribbble'] = ( ! empty( $new_instance['dribbble'] ) ) ? strip_tags( $new_instance['dribbble'] ) : '';
		$instance['pinterest'] = ( ! empty( $new_instance['pinterest'] ) ) ? strip_tags( $new_instance['pinterest'] ) : '';
		$instance['skype'] = ( ! empty( $new_instance['skype'] ) ) ? strip_tags( $new_instance['skype'] ) : '';
		$instance['rss'] = ( ! empty( $new_instance['rss'] ) ) ? strip_tags( $new_instance['rss'] ) : '';

		return $instance;
	}
} // Class wpb_widget ends here

// Register and load the widget
function wpb_socials_widget() {
	register_widget( 'socials_widget' );
}
add_action( 'widgets_init', 'wpb_socials_widget' );







