<?php
global $hera_option;
if ( ! class_exists( 'ReduxFramewrk' ) ) {
    require_once( get_template_directory() . '/framework/sample-config.php' );
	function hera_removeDemoModeLink() { // Be sure to rename this function to something more unique
		if ( class_exists('ReduxFrameworkPlugin') ) {
			remove_filter( 'plugin_row_meta', array( ReduxFrameworkPlugin::get_instance(), 'plugin_metalinks'), null, 2 );
		}
		if ( class_exists('ReduxFrameworkPlugin') ) {
			remove_action('admin_notices', array( ReduxFrameworkPlugin::get_instance(), 'admin_notices' ) );    
		}
	}
	add_action('init', 'hera_removeDemoModeLink');
}

//Theme Set up:
function hera_theme_setup() {

	/** Set Content width **/
	if ( ! isset( $content_width ) ) {
		$content_width = 900;
	}

	/*
	 * Make theme available for translation.
	 * Translations can be filed in the /languages/ directory.
	 * If you're building a theme based on cubic, use a find and replace
	 * to change 'cubic' to the name of your theme in all the template files
	 */

	load_theme_textdomain( 'hera', get_template_directory() . '/languages' );

    /*
     * This theme uses a custom image size for featured images, displayed on
     * "standard" posts and pages.
     */

	add_theme_support( 'custom-header' ); 
	add_theme_support( 'custom-background' );
	add_theme_support( 'title-tag' );
    add_theme_support( 'post-thumbnails' );

    // Adds RSS feed links to <head> for posts and comments.
    add_theme_support( 'automatic-feed-links' );

    // Switches default core markup for search form, comment form, and comments
    // to output valid HTML5.
    add_theme_support( 'html5', array( 'search-form', 'comment-form', 'comment-list' ) );

    //Post formats
    add_theme_support( 'post-formats', array(
        'audio',  'gallery', 'image', 'video', 'quote'
    ) );

    // This theme uses wp_nav_menu() in one location.
	register_nav_menus( array(
		'primary'   => esc_html__('Primary Menu', 'hera'),
		'onepage'   => esc_html__('One Page Menu', 'hera'),				
	) );

}
add_action( 'after_setup_theme', 'hera_theme_setup' );

function hera_load_custom_wp_admin_style() {
    wp_register_style( 'custom_wp_admin_css', get_template_directory_uri() . '/framework/admin/css/admin-style.css', false, '1.0.0' );
    wp_enqueue_style( 'custom_wp_admin_css' );

}
add_action( 'admin_enqueue_scripts', 'hera_load_custom_wp_admin_style' );

/*Register Fonts*/
function hera_theme_fonts_url() {
    $fonts_url = '';
    $open = _x( 'on', 'Open Sans font: on or off', 'hera' );
    $lato = _x( 'on', 'Lato font: on or off', 'hera' );
    $mon = _x( 'on', 'Montserrat font: on or off', 'hera' );
    $opensan = _x( 'on', 'Open Sans Subset font: on or off', 'hera' );
    //$sati = _x( 'on', 'Satisfy font: on or off', 'hera' );
    if ( 'off' !== $open || 'off' !== $lato || 'off' !== $mon || 'off' !== $opensan || 'off' !== $sati ) {
        $font_families = array();
        if ( 'off' !== $open ) {
            $font_families[] = 'Open Sans:300italic,400italic,600italic,700italic,800italic,400,300,600,700,800';
        }
        if ( 'off' !== $lato ) {
            $font_families[] = 'Lato:100,300,400,700,900,100italic,300italic,400italic,700italic,900italic';
        }
        if ( 'off' !== $mon ) {
            $font_families[] = 'Montserrat:400,700';
        }
        if ( 'off' !== $opensan ) {
            $font_families[] = 'Open Sans&subset=latin,cyrillic-ext,greek-ext,greek,vietnamese,latin-ext,cyrillic';
        }
        
        $query_args = array(
            'family' => urlencode( implode( '|', $font_families ) ),
            'subset' => urlencode( 'latin,latin-ext' ),
        );
        $fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );
    }
    return esc_url_raw( $fonts_url );
}

function hera_theme_scripts_styles() {
	global $hera_option;
	$gmap_api = $hera_option['gmap_api'];
	$protocol = is_ssl() ? 'https' : 'http';
	wp_enqueue_style( 'hera-fonts', hera_theme_fonts_url(), array(), null );

	if(!is_page_template('page-templates/template-showcase.php')){	

		wp_enqueue_style( 'hera-base', get_template_directory_uri().'/css/base.css');
		wp_enqueue_style( 'hera-skeleton', get_template_directory_uri().'/css/skeleton.css');		
		wp_enqueue_style( 'hera-font-awesome', get_template_directory_uri().'/css/font-awesome/css/font-awesome.css');	
		wp_enqueue_style( 'hera-carousel', get_template_directory_uri().'/css/owl.carousel.css');
		wp_enqueue_style( 'hera-magnific', get_template_directory_uri().'/css/magnific-popup.css');
		wp_enqueue_style( 'hera-multiscroll-css', get_template_directory_uri().'/css/jquery.multiscroll.css');

		wp_enqueue_style( 'hera-style', get_stylesheet_uri(), array(), '2017-08-18' );	

		if(isset($hera_option['header_layout']) and $hera_option['header_layout']=="header2" ){
			wp_enqueue_style( 'hera-menu-custom', get_template_directory_uri().'/css/header2.css');	
		}else{ 
			wp_enqueue_style( 'hera-menu-custom', get_template_directory_uri().'/css/header1.css');	
		}

		// Style Dark color for Skill Dark
		if ($hera_option['theme_style'] != 'light') {
			wp_enqueue_style( 'hera-dark-color', get_template_directory_uri().'/css/dark.css');
		}
	}

	if(is_page_template('page-templates/template-showcase.php')){
		wp_enqueue_style( 'intro-css', get_template_directory_uri().'/css/style-intro.css');
		wp_enqueue_style( 'hera-multiscroll-css', get_template_directory_uri().'/css/jquery.multiscroll.css');				
	}
	wp_enqueue_style( 'hera-retina', get_template_directory_uri().'/css/retina.css');	

	/* Javascript on front-end */

	if($hera_option['show_pre'] == true) {
		wp_enqueue_script("royal_preloader", get_template_directory_uri()."/js/royal_preloader.min.js",array( 'jquery' ), '1.0.0',false);
	}

	if ($gmap_api != '') {
		wp_enqueue_script("hera-mapapi", "$protocol://maps.googleapis.com/maps/api/js?key=$gmap_api",array( 'jquery' ), '1.0.0',false);
	}
	
	wp_enqueue_script("hera-modernizr", get_template_directory_uri()."/js/modernizr.custom.js",array( 'jquery' ), '1.0.0',false);
	wp_enqueue_script("hera-plugins", get_template_directory_uri()."/js/plugins.js",array( 'jquery' ), '1.0.0',false);
	
	wp_enqueue_script("hera-YTPlayer", get_template_directory_uri()."/js/YTPlayer.js",array(),'1.0.0',true);
	
	wp_enqueue_script("hera-twitterFetcher", get_template_directory_uri()."/js/twitterFetcher_min.js",array( 'jquery' ), '1.0.0',false);

	if($hera_option['show_animation'] == true){
		wp_enqueue_script("hera-scrollReveal", get_template_directory_uri()."/js/scrollReveal.js",array( 'jquery' ), '1.0.0',true);
	}
	if(isset($hera_option['header_layout']) and $hera_option['header_layout']=="header_showcase" || is_page_template('page-templates/template-showcase.php')){
		wp_enqueue_script("hera-uiMorphingButton-fixed", get_template_directory_uri()."/js/uiMorphingButton_fixed.js",array( 'jquery' ), '1.0.0',true);
	}
	if(!is_page_template('page-templates/template-showcase.php')){ 
		wp_enqueue_script("hera-nicescroll", get_template_directory_uri()."/js/jquery.nicescroll.min.js",array( 'jquery' ), '1.0.0',true);
		wp_enqueue_script("hera-template", get_template_directory_uri()."/js/template.js",array( 'jquery' ), '1.0.0',true);	
	}

	if(is_page_template('page-templates/template-showcase.php')){ 
		wp_enqueue_script("gmaps", get_template_directory_uri()."/js/gmaps.js",array( 'jquery' ), '1.0.0',true);
		wp_enqueue_script("multiscroll-js", get_template_directory_uri()."/js/jquery.multiscroll.js",array( 'jquery' ), '1.0.0',true);
		wp_enqueue_script("template-intro", get_template_directory_uri()."/js/template-intro.js",array( 'jquery' ), '1.0.0',true);
	} 

	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ){
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'hera_theme_scripts_styles');

/* Custom body class */
function hera_body_classes( $classes ) {
	global $hera_option;
	if($hera_option['show_pre']==true){
    	$classes[] = 'royal_loader';
    }  
    return $classes;
}
add_filter( 'body_class','hera_body_classes' );

if(!function_exists('hera_custom_frontend_scripts')){
	function hera_custom_frontend_scripts(){
	global $hera_option;		
	if($hera_option['show_pre'] == true) {	
?>
	<script type="text/javascript">
		window.jQuery = window.$ = jQuery;
		(function($) { "use strict";
			Royal_Preloader.config({
				mode:           'number', // 'number', "text" or "logo"                
				timeout:        0,
				showInfo:       true,
				opacity:        1,
				background:     ['<?php echo esc_attr($hera_option['background_preload']); ?>'],
			});
		})(jQuery);
	</script>
<?php
	}
   }
}
add_action('wp_footer', 'hera_custom_frontend_scripts');



// Widget Sideba
function hera_widgets_init() {
	register_sidebar( array(
        'name'          => esc_html__( 'Primary Sidebar', 'hera' ),
        'id'            => 'sidebar-1',        
		'description'   => esc_html__( 'Appears in the sidebar section of the site.', 'hera' ),        
		'before_widget' => '<div id="%1$s" class="widget %2$s">',        
		'after_widget'  => '</div>',        
		'before_title'  => '<h6>',        
		'after_title'   => '</h6>'
    ) );

    register_sidebar( array(
		'name'          => esc_html__( 'Footer One Widget Area', 'hera' ),
		'id'            => 'footer-area-1',
		'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'hera' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
		'before_title'  => '<h6>',
		'after_title'   => '</h6>',
	) );

	register_sidebar( array(
		'name'          => esc_html__( 'Footer Two Widget Area', 'hera' ),
		'id'            => 'footer-area-2',
		'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'hera' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
        'before_title'  => '<h6>',
        'after_title'   => '</h6>',
	) );

	register_sidebar( array(
		'name'          => esc_html__( 'Footer Three Widget Area', 'hera' ),
		'id'            => 'footer-area-3',
		'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'hera' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
        'before_title'  => '<h6>',
        'after_title'   => '</h6>',
	) );

	register_sidebar( array(
		'name'          => esc_html__( 'Footer Fourth Widget Area', 'hera' ),
		'id'            => 'footer-area-4',
		'description'   => esc_html__( 'Footer Widget that appears on the Footer.', 'hera' ),
		'before_widget' => '<div id="%1$s" class="widget %2$s">',
		'after_widget'  => '</div>',
        'before_title'  => '<h6>',
        'after_title'   => '</h6>',
	) );

}
add_action( 'widgets_init', 'hera_widgets_init' );

// Excerpt Section Blog Post
function hera_excerpt($limit) {
  $excerpt = explode(' ', get_the_excerpt(), $limit);
  if (count($excerpt)>=$limit) {
    array_pop($excerpt);
    $excerpt = implode(" ",$excerpt).'...';
  } else {
    $excerpt = implode(" ",$excerpt);
  }
  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);
  return $excerpt;
}

//pagination
function hera_pagination($prev = '<i class="fa fa-chevron-left"></i>', $next = '<i class="fa fa-chevron-right"></i>', $pages='') {
    global $wp_query, $wp_rewrite;
    $wp_query->query_vars['paged'] > 1 ? $current = $wp_query->query_vars['paged'] : $current = 1;
    if($pages==''){
        global $wp_query;
         $pages = $wp_query->max_num_pages;
         if(!$pages)
         {
             $pages = 1;
         }
    }
    $pagination = array(
		'base' 			=> str_replace( 999999999, '%#%', get_pagenum_link( 999999999 ) ),
		'format' 		=> '',
		'current' 		=> max( 1, get_query_var('paged') ),
		'total' 		=> $pages,
		'prev_text' => $prev,
        'next_text' => $next,		
        'type'			=> 'list',
		'end_size'		=> 3,
		'mid_size'		=> 3
);
    $return =  paginate_links( $pagination );
	echo str_replace( "<ul class='page-numbers'>", '<ul>', $return );
}

function hera_search_form( $form ) {
    $form = '<form role="search" method="get" id="searchform" class="search_form" action="' . home_url( '/' ) . '" >  
    	<input type="text" value="' . get_search_query() . '" name="s" id="s" placeholder="'.esc_html__('type to search and hit enter', 'hera').'" />
    </form>';
    return $form;
}
add_filter( 'get_search_form', 'hera_search_form' );

if ( ! function_exists( 'hera_comment_nav' ) ) :
/**
 * Display navigation to next/previous comments when applicable.
 *
 * @since Hera 1.0
 */
function hera_comment_nav() {
	// Are there comments to navigate through?
	if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) :
?>
	<nav class="navigation comment-navigation" role="navigation">
		<h2 class="screen-reader-text"><?php esc_html_e( 'Comment navigation', 'hera' ); ?></h2>
		<div class="nav-links">
			<?php
				if ( $prev_link = get_previous_comments_link( esc_html__( 'Older Comments', 'hera' ) ) ) :
					printf( '<div class="nav-previous">%s</div>', $prev_link );
				endif;

				if ( $next_link = get_next_comments_link( esc_html__( 'Newer Comments', 'hera' ) ) ) :
					printf( '<div class="nav-next">%s</div>', $next_link );
				endif;
			?>
		</div><!-- .nav-links -->
	</nav><!-- .comment-navigation -->
<?php
	endif;
}
endif;


//Code Visual Compurso.
function hera_custom_css_classes_for_vc_row_and_vc_column($class_string, $tag) {
    if($tag=='vc_row' || $tag=='vc_row_inner') {
        $class_string = str_replace('vc_row-fluid', '', $class_string);
    }
    if($tag=='vc_column' || $tag=='vc_column_inner') {
    	$class_string = preg_replace('/vc_col-sm-1/', 'one columns', $class_string);
		$class_string = preg_replace('/vc_col-sm-2/', 'two columns', $class_string);		
		$class_string = preg_replace('/vc_col-sm-3/', 'three columns', $class_string);
		$class_string = preg_replace('/vc_col-sm-4/', 'four columns', $class_string);		
		$class_string = preg_replace('/vc_col-sm-5/', 'five columns ', $class_string);
		$class_string = preg_replace('/vc_col-sm-6/', 'six columns', $class_string);
		$class_string = preg_replace('/vc_col-sm-7/', 'seven columns', $class_string);
		$class_string = preg_replace('/vc_col-sm-8/', 'eight columns', $class_string);
		$class_string = preg_replace('/vc_col-sm-9/', 'nine columns', $class_string);
		$class_string = preg_replace('/vc_col-sm-10/', 'ten columns', $class_string);
		$class_string = preg_replace('/vc_col-sm-11/', 'eleven columns', $class_string);	
		$class_string = preg_replace('/vc_col-sm-12/', 'twelve columns', $class_string);	
    }
    return $class_string;
}
// Filter to Replace default css class for vc_row shortcode and vc_column
add_filter('vc_shortcodes_css_class', 'hera_custom_css_classes_for_vc_row_and_vc_column', 10, 2); 

// Add new Param in Row
if(function_exists('vc_add_param')){
	vc_add_param('vc_row',array(
                              "type" => "dropdown",
                              "heading" => esc_html__('Fullwidth', 'hera'),
                              "param_name" => "full_width",
                              "value" => array(   
                                                esc_html__('No', 'hera') => 'no',  
                                                esc_html__('Yes', 'hera') => 'yes',                                                                                
                                            ),
                              "description" => esc_html__("Select Fullwidth or not, Default: No fullwidth", 'hera'),      
                            )       

    );	

	// Add new Param in Column
	vc_add_param('vc_column',array(

                              "type" => "dropdown",
                              "heading" => esc_html__('Column Effect', 'hera'),
                              "param_name" => "column_effect",
                              "value" => array(    
                              					__('None', 'hera') => 'none', 
                                                esc_html__('Bottom Move', 'hera') => 'bottommove',     
												__('Top Move', 'hera') => 'topmove',
												__('Left Move', 'hera') => 'leftmove',
												__('Right Move', 'hera') => 'rightmove',												
                                            ),
                              "description" => esc_html__("Select Effect for column, Default: None", 'hera'),      
                            ) 
    );	
	vc_add_param('vc_column',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Animation Time', 'hera'),
                              "param_name" => "time",
                              "value" => "",
                              "dependency"  => array( 'element' => 'column_effect', 'value' => array( 'bottommove', 'topmove', 'leftmove','rightmove' ) ),
                              "description" => esc_html__("Input time show column. Example: 1.5 , 3 ...", 'hera'),
                            ) 
    );
	vc_add_param('vc_column',array(
                              "type" => "textfield",
                              "heading" => esc_html__('Animation Distance', 'hera'),
                              "param_name" => "distance",
                              "value" => "",
                              "dependency"  => array( 'element' => 'column_effect', 'value' => array( 'bottommove', 'topmove', 'leftmove','rightmove' ) ),
                              "description" => esc_html__("Input distance show column. Example: 250", 'hera'),
                            ) 
    );	

    vc_remove_param( "vc_column", "offset" );
	vc_remove_param( "vc_row", "full_height" );
	vc_remove_param( "vc_row", "equal_height" );
	vc_remove_param( "vc_row", "columns_placement" );
	vc_remove_param( "vc_row", "content_placement" );
	vc_remove_param( "vc_row", "video_bg" );
	vc_remove_param( "vc_row", "video_bg_url" );
	vc_remove_param( "vc_row", "video_bg_parallax" );
	vc_remove_param( "vc_row", "parallax_speed_video" );
	vc_remove_param( "vc_row", "gap" );
	vc_remove_param( "vc_column", "css_animation" );
}

//Custom fields:
require_once get_template_directory() . '/framework/meta-boxes.php';
require_once get_template_directory() . '/framework/color.php';
require_once get_template_directory() . '/framework/widget/socials.php';
require_once get_template_directory() . '/vc_shortcode.php';
require_once get_template_directory() . '/shortcodes.php';

/**
 * Include the TGM_Plugin_Activation class.
 */
require_once get_template_directory() . '/framework/class-tgm-plugin-activation.php';
add_action( 'tgmpa_register', 'hera_theme_register_required_plugins' );
function hera_theme_register_required_plugins() {
	$protocol = is_ssl() ? 'https' : 'http';
	$plugins = array(

		array(
            'name'               => 'Meta Box',
            'slug'               => 'meta-box',
            'required'           => true,
            'force_activation'   => false,
            'force_deactivation' => false,
        ),
		array(
            'name'       		 => 'Redux Framework',
            'slug'      		 => 'redux-framework',
            'required'           => true,
			'force_activation'   => false,
            'force_deactivation' => false,
        ),	        
        array(
            'name'      => 'Contact Form 7',
            'slug'      => 'contact-form-7',
            'required'  => true,
        ),
		array(            
			'name'               => 'WPBakery Visual Composer', // The plugin name.
            'slug'               => 'js_composer', // The plugin slug (typically the folder name).
            'source'             => esc_url( $protocol . '://oceanthemes.site/plugins-required/js_composer.zip' ), // The plugin source.
            'required'           => true, // If false, the plugin is only 'recommended' instead of required.
			'version'            => '7.6', // E.g. 1.0.0. If set, the active plugin must be this version or higher. If the plugin version is higher than the plugin version installed, the user will be notified to update the plugin.
			'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'external_url'       => '', // If set, overrides default API URL and points to an external URL.
			'is_callable'        => '', // If set, this callable will be be checked for availability to determine if a plugin is active.
        ),         
        array(            
            'name'               => 'Slider Revolution', // The plugin name.
            'slug'               => 'revslider', // The plugin slug (typically the folder name).
            'source'             => esc_url( $protocol . '://oceanthemes.site/plugins-required/revslider.zip' ), // The plugin source.
            'required'           => true, // If false, the plugin is only 'recommended' instead of required.
			'version'            => '6.7.3', // E.g. 1.0.0. If set, the active plugin must be this version or higher. If the plugin version is higher than the plugin version installed, the user will be notified to update the plugin.
			'force_activation'   => false, // If true, plugin is activated upon theme activation and cannot be deactivated until theme switch.
			'force_deactivation' => false, // If true, plugin is deactivated upon theme switch, useful for theme-specific plugins.
			'external_url'       => '', // If set, overrides default API URL and points to an external URL.
			'is_callable'        => '', // If set, this callable will be be checked for availability to determine if a plugin is active.
        ),       
		array(            
            'name'               => 'OT Themes One Click Import', // The plugin name.
            'slug'               => 'ot-themes-one-click-import', // The plugin slug (typically the folder name).
            'source'             => esc_url( $protocol . '://oceanthemes.site/plugins-required/hera/ot-themes-one-click-import.zip' ), // The plugin source.
            'required'           => false, // If false, the plugin is only 'recommended' instead of required.
        ), 
		array(            
			'name'               => 'OT Portfolio', // The plugin name.
            'slug'               => 'ot_portfolio', // The plugin slug (typically the folder name).
            'source'             => esc_url( $protocol . '://oceanthemes.site/plugins-required/hera/ot_portfolio.zip' ), // The plugin source.
            'required'           => true, // If false, the plugin is only 'recommended' instead of required.
        ), 
        array(            
			'name'               => 'OT Service', // The plugin name.
            'slug'               => 'ot_service', // The plugin slug (typically the folder name).
            'source'             => esc_url( $protocol . '://oceanthemes.site/plugins-required/hera/ot_service.zip' ), // The plugin source.
            'required'           => true, // If false, the plugin is only 'recommended' instead of required.
        ),
        array(            
			'name'               => 'OT Testimonial', // The plugin name.
            'slug'               => 'ot_testimonial', // The plugin slug (typically the folder name).
            'source'             => esc_url( $protocol . '://oceanthemes.site/plugins-required/hera/ot_testimonial.zip' ), // The plugin source.
            'required'           => true, // If false, the plugin is only 'recommended' instead of required.
        ), 
        array(            
			'name'               => 'OT History', // The plugin name.
            'slug'               => 'ot_history', // The plugin slug (typically the folder name).
            'source'             => esc_url( $protocol . '://oceanthemes.site/plugins-required/hera/ot_history.zip' ), // The plugin source.
            'required'           => true, // If false, the plugin is only 'recommended' instead of required.
        ),
	);

	/*
     * Array of configuration settings. Amend each line as needed.
     *
     * TGMPA will start providing localized text strings soon. If you already have translations of our standard
     * strings available, please help us make TGMPA even better by giving us access to these translations or by
     * sending in a pull-request with .po file(s) with the translations.
     *
     * Only uncomment the strings in the config array if you want to customize the strings.
     */
    $config = array(
        'id'           => 'tgmpa',                 // Unique ID for hashing notices for multiple instances of TGMPA.
        'default_path' => '',                      // Default absolute path to bundled plugins.
        'menu'         => 'tgmpa-install-plugins', // Menu slug.
        'parent_slug'  => 'themes.php',            // Parent menu slug.
        'capability'   => 'edit_theme_options',    // Capability needed to view plugin install page, should be a capability associated with the parent menu used.
        'has_notices'  => true,                    // Show admin notices or not.
        'dismissable'  => true,                    // If false, a user cannot dismiss the nag message.
        'dismiss_msg'  => '',                      // If 'dismissable' is false, this message will be output at top of nag.
        'is_automatic' => false,                   // Automatically activate plugins after installation or not.
        'message'      => '',                      // Message to output right before the plugins table.  
    );

    tgmpa( $plugins, $config );
}


function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581328752&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        