<!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8 no-js lt-ie9" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) | !(IE 8) ]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<?php global $hera_option; ?>
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">	
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">

	<?php if ( ! function_exists( 'has_site_icon' ) || ! has_site_icon() ) { ?>
		<!-- Favicons
		================================================== -->
		<?php if(!empty($hera_option['favicon']['url'])){ ?>
			<link rel="shortcut icon" href="<?php echo esc_url($hera_option['favicon']['url']); ?>" type="image/png">
		<?php } ?>
		<?php if(!empty($hera_option['apple_icon']['url'])){ ?>
			<link rel="apple-touch-icon" href="<?php echo esc_url($hera_option['apple_icon']['url']); ?>">
		<?php } ?>
		<?php if(!empty($hera_option['apple_icon_72']['url'])){ ?>
			<link rel="apple-touch-icon" sizes="72x72" href="<?php echo esc_url($hera_option['apple_icon_72']['url']); ?>">
		<?php } ?>
		<?php if(!empty($hera_option['apple_icon_114']['url'])){ ?>
			<link rel="apple-touch-icon" sizes="114x114" href="<?php echo esc_url($hera_option['apple_icon_114']['url']); ?>">
		<?php } ?>
	<?php } ?>
	
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
	<div class="page-overlay"></div>
	<div class="hera-showcase">
		<div class="logo">
			<a href="<?php echo esc_url( home_url('/') ); ?>">
				<img src="<?php echo esc_url($hera_option['logo']['url']); ?>" alt="">
			</a>
		</div>

		<div class="morph-button morph-button-overlay morph-button-fixed">
			<button type="button"><?php echo esc_html($hera_option['menu_text']); ?></button>
			<div class="morph-content">
				<div>
					<div class="content-style-overlay">
						<span class="icon icon-close"></span>
						<?php wp_nav_menu( array( 'theme_location' => 'primary', 'fallback_cb'    => false, 'container' => '', 'menu_class' => 'menu-in-overlay' ) ); ?>											
					</div>
				</div>
			</div>
		</div>
	</div>