<?php 
/*Custom Heading*/
add_shortcode('heading','heading_func');
function heading_func($atts, $content = null){
	extract(shortcode_atts(array(
		'text'		=>	'',
		'tag'		=> 	'',
		'size'		=>	'',
		'color'		=>	'',
		'align'		=>	'',	
	), $atts));
	
	$size1 = (!empty($size) ? 'font-size: '.$size.'px;' : '');
	$color1 = (!empty($color) ? 'color: '.$color.';' : '');
	$align1 = (!empty($align) ? 'text-align: '.$align.';' : '');
	ob_start(); ?>
	
	<?php echo htmlspecialchars_decode('<'. $tag .' style="' . $size1 . $align1 . $color1 .'" > '. $text .'</'.$tag.'>'); ?>
	
<?php
    return ob_get_clean();
}

/*Button*/
add_shortcode('button','button_func');
function button_func($atts, $content = null){
	extract(shortcode_atts(array(
		'btnlink'	=> '',
		'btntext'	=> '',
		'style'		=> 'style1',
		'align'     => 'center'		
	), $atts));

	$btnalign = '';
	if ($align == 'Justify') {
		$btnalign = 'text-align: justify';
	}elseif ($align == 'right') {
		$btnalign = 'text-align: right'; 
	}elseif ($align == 'left') {
		$btnalign = 'text-align: left';
	}else{
		$btnalign = 'text-align: center';
	}

	ob_start(); ?>
	
	<?php if ( $style == 'style2' ) { ?>	
		<div class="sections-link-pages"><div class="cl-effect dark" style="<?php echo esc_attr($btnalign); ?>"><a data-gal="m_PageScroll2id" data-ps2id-offset="65" href="<?php echo esc_url($btnlink); ?>"><span data-hover="<?php echo esc_attr($btntext); ?>"><?php echo esc_attr($btntext); ?></span></a></div></div>
	<?php } else { ?>
		<div class="sections-link-pages"><div class="cl-effect"><a data-gal="m_PageScroll2id" data-ps2id-offset="65" href="<?php echo esc_url($btnlink); ?>"><span data-hover="<?php echo esc_attr($btntext); ?>"><?php echo esc_attr($btntext); ?></span></a></div></div>
	<?php } ?>
<?php
    return ob_get_clean();
}

/*Home Black Background*/
add_shortcode('homeblack', 'homeblack_func');
function homeblack_func($atts, $content = null){
	extract(shortcode_atts(array(
		'extra_id'		=>	'',
		'photo'			=>	'',
		'btnlink'		=>	'',
		'btntext'		=>	'',	
		'style'         =>  'style1',
		'title'			=>	'',
		'image'			=>	'',	
	), $atts));
	ob_start(); ?>
	
	<div class="ms-section" id="<?php echo esc_attr($extra_id); ?>" style="background-image:url(<?php echo wp_get_attachment_image_url( $photo, 'full' ); ?>)">	
		<div class="black-back"></div>
		<?php if ( $style != 'style2' ) { ?>
			<?php if ( $btnlink != '' ) { ?><div class="sections-link"><div class="cl-effect"><a href="<?php echo esc_url($btnlink); ?>" data-gal="m_PageScroll2id" data-ps2id-offset="65"><span data-hover="<?php echo esc_attr($btntext); ?>"><?php echo esc_attr($btntext); ?></span></a></div></div><?php } ?>
		<?php } else { ?>
			<div class="scrolling" style="background-image:url(<?php echo wp_get_attachment_image_url( $image, 'full' ); ?>)"><?php echo htmlspecialchars_decode($title); ?></div>
		<?php } ?>
	</div>		
<?php
    return ob_get_clean();
}

/*Home White Background*/
add_shortcode('homewhite', 'homewhite_func');
function homewhite_func($atts, $content = null){
	extract(shortcode_atts(array(
		'extra_id'		=>	'',
		'photo'			=>	'',
		'title'			=>	'',		
	), $atts));
	ob_start(); ?>
	
	<div class="ms-section" id="<?php echo esc_attr($extra_id); ?>" style="background-image:url(<?php echo wp_get_attachment_image_url( $photo, 'full' ); ?>)">	
		<div class="just_pattern"></div>
		<?php if ( $title != '' ) { ?>
			<div class="big-text-down"><?php echo htmlspecialchars_decode($title); ?></div>
			<div class="text-line-down"></div>
		<?php } ?>
		<?php echo wpb_js_remove_wpautop($content); ?>
	</div>	

<?php
    return ob_get_clean();
}

/*Home Map*/
add_shortcode('homemap', 'homemap_func');
function homemap_func($atts, $content = null){
	extract(shortcode_atts(array(
		'extra_id'		=>	'',				
		'latitude'		 => '',
		'longitude'	 	 => '',
	), $atts));
	
	ob_start(); ?>
	
	<div class="ms-section" id="<?php echo esc_attr($extra_id); ?>">
		<div id="map"></div>
		<div class="map-shadow"></div>
	</div>
	<script>
		(function($) { "use strict";
			var map;
		    $(document).ready(function(){"use strict";
		      map = new GMaps({
		    disableDefaultUI: true,
		    scrollwheel: false,
		        el: '#map',
		        lat: <?php echo esc_attr($latitude); ?>,
		        lng: <?php echo esc_attr($longitude); ?>
		      });
		      map.drawOverlay({
		        lat: map.getCenter().lat(),
		        lng: map.getCenter().lng(),
		        layer: 'overlayLayer',
		        content: '<div class="overlay"></div>',
		        verticalAlign: 'center',
		        horizontalAlign: 'center'
		      });
		        var styles = [
				  {
				    "featureType": "poi",
				    "stylers": [
				      { "visibility": "on" },
				      { "weight": 0.9 },
				      { "lightness": 37 },
				      { "gamma": 0.62 },
				      { "hue": "#ff0000" },
				      { "saturation": -93 }
				    ]
				  },{
				    "featureType": "poi",
				    "stylers": [
				      { "hue": "#ff0000" },
				      { "saturation": -1 },
				      { "color": "#ffffff" },
				      { "weight": 0.2 }
				    ]
				  },{
				    "featureType": "road",
				    "stylers": [
				      { "hue": "#ff0000" },
				      { "saturation": -98 }
				    ]
				  },{
				    "featureType": "landscape",
				    "stylers": [
				      { "hue": "#ff0000" },
				      { "saturation": -89 }
				    ]
				  },{
				    "featureType": "water",
				    "stylers": [
				      { "hue": "#cfa144" },
				      { "weight": 0.4 },
				      { "saturation": -38 }
				    ]
				  }
				];
		        
		        map.addStyle({
		            styledMapName:"Styled Map",
		            styles: styles,
		            mapTypeId: "map_style"  
		        });
		        
		        map.setStyle("map_style");	
				
		    });	
		})(jQuery); 
	</script>
<?php
    return ob_get_clean();
}

/*Home Background Image*/
add_shortcode('homeimage', 'homeimage_func');
function homeimage_func($atts, $content = null){
	extract(shortcode_atts(array(		
		'photo'			=>	'',
		'title'			=>	'',	
		'linkbox'		=>	'',	
	), $atts));
	$url = vc_build_link( $linkbox );
	ob_start(); ?>

	<div class="home_image">
		<div class="just_pattern"></div>
		<div class="parallax-home" style="background-image: url('<?php echo wp_get_attachment_image_url( $photo, 'full' ); ?>');" ></div>		
		<?php if ( $title != '' ) { ?><div class="small-text"><?php echo htmlspecialchars_decode($title); ?></div><?php } ?>	
		<div class="big-text"><?php echo wpb_js_remove_wpautop($content); ?></div>	
		<?php 
			if ( strlen( $linkbox ) > 0 && strlen( $url['url'] ) > 0 ) {
				echo '<div class="cl-effect btn btn-white"><a href="' . esc_attr( $url['url'] ) . '" title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '" data-gal="m_PageScroll2id" data-ps2id-offset="65"><span data-hover="' . esc_attr( $url['title'] ) . '">' . esc_attr( $url['title'] ) . '</span></a></div>';
			} 
		?>
	</div>
	<script type="text/javascript">
		(function($) { "use strict";
			var textHolder = document.getElementsByClassName('big-text-neon')[0],
			  text = textHolder.innerHTML,
				chars = text.length,
				newText = '',
				i;	

			for (i = 0; i < chars; i += 1) {
				newText += '<i>' + text.charAt(i) + '</i>';
			}

			textHolder.innerHTML = newText;
			var letters = document.getElementsByTagName('i'),
				flickers = [5, 7, 9, 11, 13, 15, 17],
				randomLetter,
				flickerNumber,
				counter;
			function randomFromInterval(from,to) {
				return Math.floor(Math.random()*(to-from+1)+from);
			}

			function hasClass(element, cls) {
				return (' ' + element.className + ' ').indexOf(' ' + cls + ' ') > -1;
			}

			function flicker() {		
				counter += 1;
				
				if (counter === flickerNumber) {
					return;
				}

				setTimeout(function () {
					if(hasClass(randomLetter, 'off')) {
						randomLetter.className = '';
					}
					else {
						randomLetter.className = 'off';
					}

					flicker();
				}, 30);
			}

			(function loop() {
				var rand = randomFromInterval(300,1800);

				randomLetter = randomFromInterval(0, 7);
				randomLetter = letters[randomLetter];
				
				flickerNumber = randomFromInterval(0, 7);
				flickerNumber = flickers[flickerNumber];

				setTimeout(function() {
						counter = 0;
						flicker();
						loop();  
				}, rand);
			}());
		})(jQuery);
		</script>	

<?php
    return ob_get_clean();
}

/*Home Moving Background*/
add_shortcode('movingbg', 'movingbg_func');
function movingbg_func($atts, $content = null){
	extract(shortcode_atts(array(
		'bgmoving'	=> 	'',
		'title'			=>	'',	
		'linkbox'		=>	'',	
	), $atts));
	$url = vc_build_link( $linkbox );
	ob_start(); ?>

	<div class="home_moving_image">
		<div class="just_pattern"></div>
		<div class="moving-home" style="background-image: url('<?php echo wp_get_attachment_image_url( $img_id, 'full' ); ?>');"></div>
		<?php if ( $title != '' ) { ?><div class="small-text"><?php echo htmlspecialchars_decode($title); ?></div><?php } ?>	
		<div class="big-text"><?php echo wpb_js_remove_wpautop($content); ?></div>	
		<?php if ( strlen( $linkbox ) > 0 && strlen( $url['url'] ) > 0 ) {
				echo '<div class="cl-effect btn btn-white"><a href="' . esc_attr( $url['url'] ) . '" title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '" data-gal="m_PageScroll2id" data-ps2id-offset="65"><span data-hover="' . esc_attr( $url['title'] ) . '">' . esc_attr( $url['title'] ) . '</span></a></div>';
			} ?>
	</div>
	<script type="text/javascript">		
		(function($) { "use strict";
			var textHolder = document.getElementsByClassName('big-text-neon')[0],
			  text = textHolder.innerHTML,
				chars = text.length,
				newText = '',
				i;	

			for (i = 0; i < chars; i += 1) {
				newText += '<i>' + text.charAt(i) + '</i>';
			}

			textHolder.innerHTML = newText;
			var letters = document.getElementsByTagName('i'),
				flickers = [5, 7, 9, 11, 13, 15, 17],
				randomLetter,
				flickerNumber,
				counter;
			function randomFromInterval(from,to) {
				return Math.floor(Math.random()*(to-from+1)+from);
			}

			function hasClass(element, cls) {
				return (' ' + element.className + ' ').indexOf(' ' + cls + ' ') > -1;
			}

			function flicker() {		
				counter += 1;
				
				if (counter === flickerNumber) {
					return;
				}

				setTimeout(function () {
					if(hasClass(randomLetter, 'off')) {
						randomLetter.className = '';
					}
					else {
						randomLetter.className = 'off';
					}

					flicker();
				}, 30);
			}

			(function loop() {
				var rand = randomFromInterval(300,1800);

				randomLetter = randomFromInterval(0, 7);
				randomLetter = letters[randomLetter];
				
				flickerNumber = randomFromInterval(0, 7);
				flickerNumber = flickers[flickerNumber];

				setTimeout(function() {
						counter = 0;
						flicker();
						loop();  
				}, rand);
			}());
			
			/*Moving Background Image*/
			var x = 0;
	        setInterval(function(){
	            x-=1;
	            $('.moving-home').css('background-position', x + 'px 0');
	        }, 10);
		})(jQuery);
	</script>		
<?php
    return ob_get_clean();
}

/*Home HTML5 Video*/
add_shortcode('home_html5video', 'home_html5video_func');
function home_html5video_func($atts, $content = null){
	extract(shortcode_atts(array(		
		'mp4'		=> 	'',
		'webm'		=> 	'',
		'ogg'		=> 	'',
		'poster'	=> 	'',
		'title'			=>	'',	
		'linkbox'		=>	'',	
	), $atts));
	$url = vc_build_link( $linkbox );
	ob_start(); ?>

	<div class="home_html5video">
		<div class="just_pattern"></div>
		<video id="video_background" preload="auto" autoplay="true" loop="loop" muted="muted" volume="0" poster="<?php echo wp_get_attachment_image_url( $poster, 'full' ); ?>" playsinline> 
			<?php if ( $webm != '' ) { ?><source src="<?php echo esc_url($webm); ?>" type="video/webm"> <?php } ?>
			<?php if ( $mp4 != '' ) { ?><source src="<?php echo esc_url($mp4); ?>" type="video/mp4"> <?php } ?>
			<?php if ( $ogg != '' ) { ?><source src="<?php echo esc_url($ogg); ?>" type="video/ogg"><?php } ?> 
		</video>				
		<?php if ( $title != '' ) { ?><div class="small-text"><?php echo htmlspecialchars_decode($title); ?></div><?php } ?>	
		<div class="big-text"><?php echo wpb_js_remove_wpautop($content); ?></div>	
		<?php if ( strlen( $linkbox ) > 0 && strlen( $url['url'] ) > 0 ) {
				echo '<div class="cl-effect btn btn-white"><a href="' . esc_attr( $url['url'] ) . '" title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '" data-gal="m_PageScroll2id" data-ps2id-offset="65"><span data-hover="' . esc_attr( $url['title'] ) . '">' . esc_attr( $url['title'] ) . '</span></a></div>';
			} ?>
	</div>
	<script type="text/javascript">
		(function($) { "use strict";
			var textHolder = document.getElementsByClassName('big-text-neon')[0],
			  text = textHolder.innerHTML,
				chars = text.length,
				newText = '',
				i;	

			for (i = 0; i < chars; i += 1) {
				newText += '<i>' + text.charAt(i) + '</i>';
			}

			textHolder.innerHTML = newText;
			var letters = document.getElementsByTagName('i'),
				flickers = [5, 7, 9, 11, 13, 15, 17],
				randomLetter,
				flickerNumber,
				counter;
			function randomFromInterval(from,to) {
				return Math.floor(Math.random()*(to-from+1)+from);
			}

			function hasClass(element, cls) {
				return (' ' + element.className + ' ').indexOf(' ' + cls + ' ') > -1;
			}

			function flicker() {		
				counter += 1;
				
				if (counter === flickerNumber) {
					return;
				}

				setTimeout(function () {
					if(hasClass(randomLetter, 'off')) {
						randomLetter.className = '';
					}
					else {
						randomLetter.className = 'off';
					}

					flicker();
				}, 30);
			}

			(function loop() {
				var rand = randomFromInterval(300,1800);

				randomLetter = randomFromInterval(0, 7);
				randomLetter = letters[randomLetter];
				
				flickerNumber = randomFromInterval(0, 7);
				flickerNumber = flickers[flickerNumber];

				setTimeout(function() {
						counter = 0;
						flicker();
						loop();  
				}, rand);
			}());
		})(jQuery);
	</script>	

<?php
    return ob_get_clean();
}

/*Home Youtube Video*/
add_shortcode('home_youtubevideo', 'home_youtubevideo_func');
function home_youtubevideo_func($atts, $content = null){
	extract(shortcode_atts(array(		
		'video_link'		=> 	'',	
		'title'			=>	'',	
		'linkbox'		=>	'',	
	), $atts));

	$url = vc_build_link( $linkbox );
	ob_start(); ?>

	<div class="home_youtubevideo">
		<!-- Video Background - Here you need to replace the videoURL with your youtube video URL -->
		<a id="bgndVideo" class="player" data-property="{videoURL:'<?php echo esc_attr( $video_link ); ?>',containment:'#home-sec',autoPlay:true, mute:true, startAt:5, opacity:1}"><?php _e('youtube', 'hera') ?></a>				
		<div id="homeYouTube" >
			<div id="home-sec"></div>
			<div class="just_pattern"></div>
			<?php if ( $title != '' ) { ?><div class="small-text"><?php echo htmlspecialchars_decode($title); ?></div><?php } ?>	
			<div class="big-text"><?php echo wpb_js_remove_wpautop($content); ?></div>	
			<?php if ( strlen( $linkbox ) > 0 && strlen( $url['url'] ) > 0 ) {
					echo '<div class="cl-effect btn btn-white"><a href="' . esc_attr( $url['url'] ) . '" title="' . esc_attr( $url['title'] ) . '" target="' . ( strlen( $url['target'] ) > 0 ? esc_attr( $url['target'] ) : '_self' ) . '" data-gal="m_PageScroll2id" data-ps2id-offset="65"><span data-hover="' . esc_attr( $url['title'] ) . '">' . esc_attr( $url['title'] ) . '</span></a></div>';
			} ?>
		</div>	
	</div>
	<script type="text/javascript">
		(function($) { "use strict";
			var textHolder = document.getElementsByClassName('big-text-neon')[0],
			  text = textHolder.innerHTML,
				chars = text.length,
				newText = '',
				i;	

			for (i = 0; i < chars; i += 1) {
				newText += '<i>' + text.charAt(i) + '</i>';
			}

			textHolder.innerHTML = newText;
			var letters = document.getElementsByTagName('i'),
				flickers = [5, 7, 9, 11, 13, 15, 17],
				randomLetter,
				flickerNumber,
				counter;
			function randomFromInterval(from,to) {
				return Math.floor(Math.random()*(to-from+1)+from);
			}

			function hasClass(element, cls) {
				return (' ' + element.className + ' ').indexOf(' ' + cls + ' ') > -1;
			}

			function flicker() {		
				counter += 1;
				
				if (counter === flickerNumber) {
					return;
				}
				setTimeout(function () {
					if(hasClass(randomLetter, 'off')) {
						randomLetter.className = '';
					}
					else {
						randomLetter.className = 'off';
					}
					flicker();
				}, 30);
			}

			(function loop() {
				var rand = randomFromInterval(300,1800);

				randomLetter = randomFromInterval(0, 7);
				randomLetter = letters[randomLetter];
				
				flickerNumber = randomFromInterval(0, 7);
				flickerNumber = flickers[flickerNumber];

				setTimeout(function() {
						counter = 0;
						flicker();
						loop();  
				}, rand);
			}());
		})(jQuery);
	</script>	

<?php
    return ob_get_clean();
}


/*Video Project (use)*/
add_shortcode('videoproject', 'videoproject_func');
function videoproject_func($atts, $content = null){
	extract(shortcode_atts(array(
		'photo'		 =>	'',
		'style' 	 =>	'',
		'video_webm' => '',
		'video_mp4'	 =>	'',
		'video_ogg'	 =>	'',
		'video_link' =>	'',
	), $atts));
	ob_start(); ?>	
	
		<?php if ( $style == 'style2' ) { ?>		
			<iframe height="50" width="100%" src="<?php echo esc_url($video_link); ?>"></iframe>		
		<?php } else { ?>
			<div onclick="thevid=document.getElementById('thevideoproject'); thevid.style.display='block'; this.style.display='none'">
				<img src="<?php echo wp_get_attachment_image_url( $photo, 'full' ); ?>" style="cursor:pointer" alt=""/>
			</div>
			
			<div id="thevideoproject" class="video">	
				<video id="video_background2" preload="auto" autoplay="true" loop="loop" muted="muted" volume="0" poster="<?php echo wp_get_attachment_image_url( $photo, 'full' ); ?>" controls playsinline> 
					<?php if($video_webm != ''){ ?><source src="<?php echo esc_url($video_webm); ?>" type="video/webm"><?php } ?> 
					<?php if($video_mp4 != ''){ ?><source src="<?php echo esc_url($video_mp4); ?>" type="video/mp4"><?php } ?>  
					<?php if($video_ogg != ''){ ?><source src="<?php echo esc_url($video_ogg); ?>" type="video/ogg"><?php } ?> 
				</video>
			</div>
		<?php } ?>

<?php
    return ob_get_clean();
}

/*Video Player (use)*/
add_shortcode('videoplayer', 'videoplayer_func');
function videoplayer_func($atts, $content = null){
	extract(shortcode_atts(array(
		'title'	=>	'',
		'photo'	=>	'',
		'style' =>	'',
		'video_webm'  => '',
		'video_mp4'	 =>	'',
		'video_ogg'	 =>	'',
		'video_link' =>	'',
	), $atts));
	ob_start(); ?>
	
	<div class="parallax-section">
		<div class="parallax-video"></div>
		
		<div class="video-play-section">
			<div class="container z-index-pages">
				<div class="twelve columns" data-scrollreveal="enter top and move 250px over 1.5s">
					<h5><?php echo htmlspecialchars_decode($title); ?></h5>
				</div>
				<div class="twelve columns">
					<div class="text-line-pages"></div>
				</div>
				<div class="twelve columns overflow-video" data-scrollreveal="enter bottom and move 250px over 1.5s">
					<?php if ( $style == 'style2' ) { ?>
						<iframe height="50" width="100%" src="<?php echo esc_url($video_link); ?>"></iframe>
					<?php } else { ?>
						<div onclick="thevid=document.getElementById('thevideo'); thevid.style.display='block'; this.style.display='none'">
							<img src="<?php echo wp_get_attachment_image_url( $photo, 'full' ); ?>" style="cursor:pointer" alt=""/>
						</div>
						
						<div id="thevideo" class="videos">	
							<video id="video_background2" preload="auto" autoplay="true" loop="loop" muted="muted" volume="0" poster="<?php echo wp_get_attachment_image_url( $photo, 'full' ); ?>" controls playsinline> 
								<?php if ( $video_webm != '' ) { ?><source src="<?php echo esc_url($video_webm); ?>" type="video/webm"><?php } ?> 
								<?php if ( $video_mp4 != '' ) { ?><source src="<?php echo esc_url($video_mp4); ?>" type="video/mp4"><?php } ?>  
								<?php if ( $video_ogg != '' ) { ?><source src="<?php echo esc_url($video_ogg); ?>" type="video/ogg"><?php } ?>  
							</video>
						</div>
					<?php } ?>
				</div>				
			</div>			
		</div>
	</div>
<?php
    return ob_get_clean();
}

/*Image post (use)*/
add_shortcode('imagepost', 'imagepost_func');
function imagepost_func($atts, $content = null){
	extract(shortcode_atts(array(
		'title'	=>	'',
		'photo'	=>	'',				
	), $atts));
	ob_start(); ?>
	<div class="parallax-section">
		<div class="parallax-services-down"></div>
		<div class="just_pattern"></div>
		<div class="video-play-section">
			<div class="container z-index-pages">
				<?php if ( $title != '' ) { ?>
					<div class="twelve columns" data-scrollreveal="enter top and move 250px over 1.5s">
						<h5><?php echo htmlspecialchars_decode($title); ?></h5>
					</div>
					<div class="twelve columns">
						<div class="text-line-pages"></div>
					</div>

					<div class="twelve columns overflow-video" data-scrollreveal="enter bottom and move 250px over 1.5s">
						<?php if ( $photo != '' ) { echo wp_get_attachment_image( $photo, 'full', '', array( "class" => "img-responsive" ) ); } ?>
					</div>
				<?php } else { ?>				
					<div class="container z-index-pages">
						<div class="twelve columns" data-scrollreveal="enter top and move 250px over 1.5s">
							<div class="logo-contact" style="background-image:url('<?php echo wp_get_attachment_image_url( $photo, 'full' ); ?>') "></div>
						</div>				
					</div>
				<?php } ?>				
			</div>			
		</div>
	</div>

<?php
    return ob_get_clean();
}

/*Twitter Feed*/
add_shortcode('twfeed','twfeed_func');
function twfeed_func($atts, $content = null){
    extract( shortcode_atts( array(
      'twid'  	=> '',
      'number'	=> '',
   ), $atts ) );
    ob_start(); 
?>

	<script type="text/javascript">
		var heratwitterfeed = {
			"id": '<?php echo esc_attr($twid); ?>',
			"domId": '',
			"maxTweets": <?php echo esc_attr($number); ?>,
			"enableLinks": true,
			"showUser": false,
			"showTime": true,
			"dateFunction": '',
			"showRetweet": false,
			"customCallback": handleTweets,
			"showInteraction": false
		};

		function handleTweets(tweets){
		    var x = tweets.length;
		    var n = 0;
		    var element = document.getElementById('tweets-list');
		    var html = '<ul class="slider-twit">';
		    while(n < x) {
		      html += '<li class="tweet-item"><i class="fa fa-twitter"></i>' + tweets[n] + '</li>';
		      n++;
		    }
		    html += '</ul>';
		    element.innerHTML = html;
		    $('.slider-twit').bxSlider({
				adaptiveHeight: true,
				touchEnabled: true,
				pager: false,
				controls: true,
				auto: false,
				slideMargin: 1
			});
		}

		twitterFetcher.fetch(heratwitterfeed);
	</script>

	<div id="tweets-list"></div> 
<?php
    return ob_get_clean();
}


/*Our Team*/
add_shortcode('team', 'team_func');
function team_func($atts, $content = null){
	extract(shortcode_atts(array(
		'photo'		=> 	'',
		'name'		=>	'',
		'job'		=>	'',
		'icon1'		=>	'',
		'icon2'		=>	'',
		'icon3'		=>	'',
		'icon4'		=>	'',
		'url1'		=>	'',
		'url2'		=>	'',
		'url3'		=>	'',
		'url4'		=>	'',
	), $atts));

	$team_thumb = wp_get_attachment_image( $photo, $size = 'full', '', array('class' => 'img-responsive') );

	$icon11 = (!empty($icon1) ? '<a href="'.esc_url($url1).'" target="_blank"><i class="fa fa-'.esc_attr($icon1).'"></i></a>' : '');
	$icon22 = (!empty($icon2) ? '<a href="'.esc_url($url2).'" target="_blank"><i class="fa fa-'.esc_attr($icon2).'"></i></a>' : '');
	$icon33 = (!empty($icon3) ? '<a href="'.esc_url($url3).'" target="_blank"><i class="fa fa-'.esc_attr($icon3).'"></i></a>' : '');
	$icon44 = (!empty($icon4) ? '<a href="'.esc_url($url4).'" target="_blank"><i class="fa fa-'.esc_attr($icon4).'"></i></a>' : '');

	ob_start(); ?>

	<div class="team">
		<article>
			<?php echo $team_thumb; ?>
			<h6><?php echo esc_attr($name); ?></h6>
			<p><span><?php echo htmlspecialchars_decode($job); ?></span></p>
			<p><?php echo wpb_js_remove_wpautop($content, true); ?></p>
			<div class="social-team">
				<ul class="list-social">
					<?php if($icon1 != '') { ?>
						<li class="icon-soc tipped tipper-attached" data-title="<?php echo esc_attr($icon1); ?>" >
							<?php echo htmlspecialchars_decode(esc_attr($icon11)); ?>
						</li>
					<?php } ?>
					<?php if($icon2 != '') { ?>
						<li class="icon-soc tipped tipper-attached" data-title="<?php echo esc_attr($icon2); ?>">
							<?php echo htmlspecialchars_decode(esc_attr($icon22)); ?>
						</li>
					<?php } ?>
					<?php if($icon3 != '') { ?>
						<li class="icon-soc tipped tipper-attached" data-title="<?php echo esc_attr($icon3); ?>">
							<?php echo htmlspecialchars_decode(esc_attr($icon33)); ?>
						</li>
					<?php } ?>
					<?php if($icon4 != '') { ?>
						<li class="icon-soc tipped tipper-attached" data-title="<?php echo esc_attr($icon4); ?>">
							<?php echo htmlspecialchars_decode(esc_attr($icon44)); ?>
						</li>
					<?php } ?>
				</ul>	
			</div>						
		</article>
	</div>		

<?php
    return ob_get_clean();
}

/*Logo Clients*/
add_shortcode('clients','clients_func');
function clients_func($atts, $content = null){
	extract(shortcode_atts(array(
		'photo'		  => 	'',
		'title'		  =>	'',	
	), $atts));
	$logo_thumb = wp_get_attachment_image( $photo, $size = 'full', '', array('class' => 'img-responsive') );
	ob_start(); ?>

		<div class="clients-wrap">
			<?php echo $logo_thumb; ?>
			<div class="mask"><p><?php echo htmlspecialchars_decode($title); ?></p></div>
		</div>

<?php
    return ob_get_clean();
}

/*About Box*/
add_shortcode('aboutbox', 'aboutbox_func');
function aboutbox_func($atts, $content = null){
	extract(shortcode_atts(array(
		'title'		=> 	'',
		'icon_fontawesome'		=> 	'',
	), $atts));
	
	ob_start(); ?>
	
	<div class="about-what-we-do">
		<div class="icon-left1"><div class="<?php echo esc_attr($icon_fontawesome); ?>"></div></div>
		<h5><?php echo htmlspecialchars_decode($title); ?></h5>
		<p><?php echo htmlspecialchars_decode($content); ?></p>
	</div>

<?php
    return ob_get_clean();
}

/*Logos Client (use)*/
add_shortcode('logos', 'logos_func');
function logos_func($atts, $content = null){
	extract(shortcode_atts(array(
		'gallery'		  => 	'',
	), $atts));

	ob_start(); ?>

	<div id="owl-logos" class="owl-carousel owl-theme">
		<?php 
			$img_ids = explode(",",$gallery);
			foreach ( $img_ids AS $img_id ) {
			$meta = wp_prepare_attachment_for_js($img_id);
			$caption = $meta['caption'];
			$title = $meta['title'];	
			$description = $meta['description']; 
			if ( $caption != '' ) {
		?>		
			<div class="item">
				<a href="<?php echo esc_url( $caption ); ?>" target="_blank" >
					<?php if ( $img_id != '' ) { echo wp_get_attachment_image( $img_id, 'full', '', array( "class" => "img-responsive" ) ); } ?>
				</a>
			</div>
		<?php } else { ?>
			<div class="item">
				<?php if ( $img_id != '' ) { echo wp_get_attachment_image( $img_id, 'full', '', array( "class" => "img-responsive" ) ); } ?>
			</div>
		<?php } } ?>	
	</div>
			
<?php
    return ob_get_clean();
}
/*End Clients Logo*/

/*Skills*/
add_shortcode('skill', 'skill_func');
function skill_func($atts, $content = null){
	extract(shortcode_atts(array(
		'name1'		=> 	'',
		'per1'		=> 	'',
		'name2'		=>	'',
		'per2'		=>	'',
		'name3'		=>	'',
		'per3'		=>	'',
		'name4'		=>	'',
		'per4'		=>	'',		
	), $atts));

	ob_start(); ?>
	
	<ul class="skill">
		<?php if(!empty($name1)){ ?>
			<li><span class="bar bar-prc" style="width:<?php echo esc_attr($per1); ?>%"></span><p><?php echo htmlspecialchars_decode($name1) ?></p><h3><?php echo esc_attr($per1); ?>%</h3></li>
		<?php } ?>
		<?php if(!empty($name2)){ ?>
			<li><span class="bar bar-prc" style="width:<?php echo esc_attr($per2); ?>%"></span><p><?php echo htmlspecialchars_decode($name2) ?></p><h3><?php echo esc_attr($per2); ?>%</h3></li>
		<?php } ?>
		<?php if(!empty($name3)){ ?>
			<li><span class="bar bar-prc" style="width:<?php echo esc_attr($per3); ?>%"></span><p><?php echo htmlspecialchars_decode($name3) ?></p><h3><?php echo esc_attr($per3); ?>%</h3></li>
		<?php } ?>
		<?php if(!empty($name4)){ ?>
			<li><span class="bar bar-prc" style="width:<?php echo esc_attr($per4); ?>%"></span><p><?php echo htmlspecialchars_decode($name4) ?></p><h3><?php echo esc_attr($per4); ?>%</h3></li>
		<?php } ?>
	</ul>	
	
	<?php

    return ob_get_clean();
}

/*Portfolio*/
add_shortcode('portfolio','portfolio_func');
function portfolio_func($atts, $content = null){
    extract( shortcode_atts( array(
      'all' 	  => '',
	  'order'     =>  'ASC',
	  'orderby'   =>  'date',
	  'show'      =>  '', 
	  'show_filter'  =>  'yes', 
	  'columns'      =>  3,
	  'idcate'       => '', 
   ), $atts ) );
	    $all1 = (!empty($all) ? $all : 'Show All');
	    $order1 = (!empty($order) ? $order : 'ASC');
	    $orderby1 = (!empty($orderby) ? $orderby : 'date');
	    $show1 = (!empty($show) ? $show : 12);
    ob_start(); ?>

    <div class="clear"></div>
    <div class="portfolio"></div>
	<div class="expander-wrap relative">
		<div id="expander-wrap">
			<p class="cls-btn"><a class="close">X</a></p>
			<div class="expander-inner"></div>
		</div>
	</div>	

	<?php if ( $show_filter == 'yes' ) { ?>
		<div class="clear"></div>			
		<div class="container">
			<div class="twelve columns">
				<div id="portfolio-filter">
					<ul id="filter">
						<li><a href="#" class="current" data-filter="*" title=""><?php echo esc_attr($all1); ?></a></li>
						<?php 
						if ( $idcate != '' ) {
							$categories = explode(",",$idcate); 
							foreach ( (array)$categories as $categorie) {
							$cates = get_term_by('slug', $categorie, 'categories');
					    ?>
					     	<li><a href="#" data-filter=".<?php echo esc_attr('category-'.$cates->term_id); ?>"><?php echo esc_attr($cates->name); ?></a></li>
					    <?php 
					        }    
						} else {
							$categories = get_terms('categories');
							foreach ( (array)$categories as $categorie) {
					    ?>
					      	<li><a href="#" data-filter=".<?php echo esc_attr('category-'.$categorie->term_id); ?>"><?php echo esc_attr($categorie->name); ?></a></li>
					    <?php
					        }    
						}						
						?>
					</ul>
				</div>
			</div>
		</div>
	<?php } ?>

	<div class="container">
		<ul class="portfolio-wrap">
			<?php 

				if ($idcate != '') {					
					$args = array(
						'tax_query' => array(
							array(
								'taxonomy' => 'categories',
								'field' => 'slug',
								'terms' => explode(',',$idcate)
							),
						),
						'post_type' => 'portfolio',
						'posts_per_page' => $show1,
						'order' => $order1,
						'orderby' => $orderby1
					);
				}else{
					$args = array(
						'post_type' => 'portfolio',
						'posts_per_page' => $show1,
						'order' => $order1,
						'orderby' => $orderby1
					);
				}  

				$wp_query = new WP_Query($args);					
				while ($wp_query -> have_posts()) : $wp_query -> the_post(); 
				$cates = get_the_terms(get_the_ID(),'categories');
				$cate_name ='';
				$cate_slug = '';
				$cate_id = '';

					  foreach((array)$cates as $cate){
						if(count($cates)>0){
							$cate_name.= $cate->name.' ';
							$cate_slug.= $cate->slug.' ';
							$cate_id.= 'category-'.$cate->term_id.' ';  
						} 
				} 
			?>
				<li class="<?php if ($columns == 4) { echo 'three'; }elseif ($columns == 2) { echo 'six'; } else { echo 'four'; } ?> columns portfolio-box <?php echo esc_attr($cate_id); ?>">	
					<a class="expander" href="<?php the_permalink(); ?>">
						<?php 
							if ( has_post_thumbnail() ) {
							    the_post_thumbnail('full');
							} 
						?>
						<div class="mask"></div>
						<h4><?php the_title(); ?></h4>
					</a>	
				</li>
			<?php endwhile;?>
		</ul>
	</div>
	
<?php
    return ob_get_clean();
}

/*Portfolio Popup*/
add_shortcode('portfolio_popup','portfolio_popup_func');
function portfolio_popup_func($atts, $content = null){
    extract( shortcode_atts( array(
      'all' => '',
	  'order'     =>  'ASC',
	  'orderby'   =>  'date',
	  'show'      =>  '' 
   ), $atts ) );
	    $all1 = (!empty($all) ? $all : 'Show All');
	    $order1 = (!empty($order) ? $order : 'ASC');
	    $orderby1 = (!empty($orderby) ? $orderby : 'date');
	    $show1 = (!empty($show) ? $show : 16);
    ob_start(); ?>

    <div class="clear"></div>
    <div class="portfolio"></div>
	<div class="expander-wrap relative">
		<div id="expander-wrap">
			<p class="cls-btn"><a class="close">X</a></p>
			<div class="expander-inner"></div>
		</div>
	</div>	
	<div class="clear"></div>			
	<div class="container">
		<div class="twelve columns">
			<div id="portfolio-filter">
				<ul id="filter">
					<li><a href="#" class="current" data-filter="*" title=""><?php echo esc_attr($all1); ?></a></li>
					<?php 
					$categories = get_terms('categories');   
					foreach( (array)$categories as $categorie){
						$cat_name = $categorie->name;
						$cat_slug = $categorie->slug;
					?>
						<li><a href="#" data-filter=".<?php echo esc_attr($cat_slug); ?>"><?php echo esc_attr($cat_name); ?></a></li>
					<?php } ?>
				</ul>
			</div>
		</div>
	</div>
	<div class="container">
		<ul class="portfolio-wrap">
			<?php 
				$args = array(   
					'post_type' => 'portfolio',
					'posts_per_page' => $show1,
					'order' => $order1,
					'orderby' => $orderby1
				);  
				$wp_query = new WP_Query($args);					
				while ($wp_query -> have_posts()) : $wp_query -> the_post(); 
				$cates = get_the_terms(get_the_ID(),'categories');
				$cate_name ='';
				$cate_slug = '';
					  foreach((array)$cates as $cate){
						if(count($cates)>0){
							$cate_name .= $cate->name.' ' ;
							$cate_slug .= $cate->slug .' ';     
						} 
				} 
				$format = get_post_format($post->ID);	
          		$link_video = get_post_meta(get_the_ID(),'_cmb_link_video', true);
			?>
			<li class="four columns portfolio-box <?php echo esc_attr($cate_slug); ?>">	
				<a class="<?php if($format=='video'){echo 'video-link';}else{echo 'image-link';} ?>" title="<?php the_title(); ?>" href="<?php if($format=='video'){echo esc_url($link_video);}else{ echo esc_url(wp_get_attachment_url(get_post_thumbnail_id())); } ?>">
					<?php the_post_thumbnail(); ?>
					<div class="mask"></div>
					<h4><?php the_title(); ?></h4>
				</a>	
			</li>
			<?php endwhile;?>
		</ul>
	</div>
	
<?php
    return ob_get_clean();
}

/*Slider Project*/
add_shortcode('sliderproject', 'sliderproject_func');
function sliderproject_func($atts, $content = null){
	extract(shortcode_atts(array(
		'gallery'		=> 	'',		
	), $atts));

	ob_start(); ?>

	<div class="project">
		<ul class="project-slides">
			<?php 
				$img_ids = explode(",",$gallery);
				foreach( $img_ids AS $img_id ){
			?>
				<!-- Slides -->
				<li class="slide">
					<?php if ( $img_id != '' ) { echo wp_get_attachment_image( $img_id, 'full', '', array( "class" => "img-responsive" ) ); } ?>
				</li>
			<?php } ?>
			<!-- End Slides -->

			<!-- Clear -->
			<li class="clear"></li>
		</ul>
	</div>
	
<?php
    return ob_get_clean();
}

/*OT Image Gallery*/
add_shortcode('ot_image_gallery', 'ot_image_gallery_func');
function ot_image_gallery_func($atts, $content = null){
	extract(shortcode_atts(array(
		'gallery'		=> 	'',		
	), $atts));
	$id = uniqid( 'gallery-images-popup-' );
	ob_start(); ?>

	<div class="container">
		<ul class="portfolio-wrap">
			<?php 
				$img_ids = explode(",",$gallery);
				foreach( $img_ids AS $img_id ){
					$meta = wp_prepare_attachment_for_js($img_id);			
					$title = $meta['title'];	
					$caption = $meta['caption'];
					$alt = $meta['alt'];
					$url = $meta['url'];
					$description = $meta['description'];	
			?>
			<li class="four columns portfolio-box">	
				<a class="<?php echo esc_attr($id); ?>" title="<?php echo esc_attr($title); ?>" href="<?php echo wp_get_attachment_image_url( $img_id, 'full' ); ?>">
					<?php if ( $img_id != '' ) { echo wp_get_attachment_image( $img_id, 'full', '', array( "class" => "img-responsive" ) ); } ?>
					<div class="mask"></div>
					<h4><?php echo esc_attr($title); ?></h4>
				</a>	
			</li>
			<?php } ?>
		</ul>
	</div>

	<script type="text/javascript">
	    jQuery(document).ready(function() {  
	   		'use strict';
	   		jQuery('.<?php echo esc_attr($id); ?>').magnificPopup({
				type: 'image',
				closeOnContentClick: false,
				closeBtnInside: false,
				mainClass: 'mfp-with-zoom mfp-img-mobile',
				image: {
					verticalFit: true,
					titleSrc: function(item) {
						return item.el.attr('title');
					}
				},
				gallery: {
					enabled: true
				}		
			}); 
		 });
    </script>
	
<?php
    return ob_get_clean();
}

/*Pricing Table*/
add_shortcode('pricingtable', 'pricingtable_func');
function pricingtable_func($atts, $content = null){
	extract(shortcode_atts(array(
		'title'		 => '',
		'price'		 => '',		
		'buttontext' => '',
		'link'       => '',
		'featured'   => '',
		'icon'  	 => '',
	), $atts));
	
	ob_start(); ?>
	
	<div class="plan-single <?php if ( $featured == 'yes' ){echo 'featured';} ?>">
		<div class="plan-icon"><i class="fa fa-<?php echo esc_attr($icon); ?>"></i></div>
		<h5><?php echo esc_attr($price); ?> - <span><?php echo esc_attr($title); ?></span></h5>
		<?php echo htmlspecialchars_decode(esc_attr($content)); ?>
		<div class="sections-link-pages"><div class="cl-effect dark"><a href="<?php echo esc_url($link); ?>" data-gal="m_PageScroll2id" data-ps2id-offset="65" ><span data-hover="<?php echo esc_attr($buttontext); ?>"><?php echo esc_attr($buttontext); ?></span></a></div></div>		
	</div>
		
<?php
    return ob_get_clean();
}

/*Our Facts*/
add_shortcode('ourfacts', 'ourfacts_func');
function ourfacts_func($atts, $content = null){
	extract(shortcode_atts(array(
		'title'		=> 	'',
		'number'    => 	'',
	), $atts));
	ob_start(); ?>
	
	<div class="facts-wrap">
		<div class="facts-wrap-num"><span class="counter"><?php echo esc_attr($number); ?></span></div>
		<div class="counter-line"></div>
		<?php if ( $title ) { ?><h5><?php echo htmlspecialchars_decode($title); ?></h5><?php } ?>
	</div>
	
<?php
    return ob_get_clean();
}

/*Blog Post*/
add_shortcode('blog', 'blog_func');
function blog_func($atts, $content = null) {	
	extract(shortcode_atts(array(
		'title'	=> 	'',
	), $atts));
ob_start(); ?>

   	<div class="container">
	    <?php
			$args=array('post_type'=>'post','posts_per_page'=> 3);
		 	$blog= new WP_Query($args);
			while($blog->have_posts()) : $blog->the_post();		    
	    ?>	
			<div class="four columns">
				<div class="home-blog blog_post">
					<?php if(has_post_format( 'image' )){?>
						<?php if( function_exists( 'rwmb_meta' ) ) { ?>
							<?php $images = rwmb_meta( '_cmb_image', "type=image&size=full" ); ?>
					        <?php if($images){ foreach ( $images as $image ) { ?>       	       
					            <a href="<?php the_permalink(); ?>"><?php echo "<img src='{$image['full_url']}' width='{$image['width']}' height='{$image['height']}' alt='{$image['alt']}' title='{$image['title']}' />"; ?></a>	        
					        <?php } } ?>
					    <?php } ?> 
					<?php }elseif(has_post_format( 'gallery' )){?>
						<?php if( function_exists( 'rwmb_meta' ) ) { ?>
							<?php $images = rwmb_meta( '_cmb_image', "type=image&size=full" ); ?>
						    <?php if($images){ ?>
						    <div class="blog-slider">
								<div id="owl-blog<?php the_ID(); ?>" class="owl-carousel owl-theme">
									<?php foreach ( $images as $image ) { ?>
										<div class="item">
											<?php echo "<img src='{$image['full_url']}' width='{$image['width']}' height='{$image['height']}' alt='{$image['alt']}' title='{$image['title']}' />"; ?>
										</div>
									<?php } ?>
								</div>
							</div>		
							<?php } ?>
						<?php } ?>	
						<script type="text/javascript">
						(function($) { "use strict";
							/* Post Carousel */	
							$(document).ready(function() {						 
							  var time = 4; /* time in seconds*/						 
							  var $progressBar,
								  $bar, 
								  $elem, 
								  isPause, 
								  tick,
								  percentTime;
							 
								/*Init the carousel*/
								$("#owl-blog<?php the_ID(); ?>").owlCarousel({
									navigation: true,
									pagination : false,
									slideSpeed : 500,
									paginationSpeed : 500,
									singleItem:true,
									afterInit : progressBar,
									afterMove : moved,
									startDragging : pauseOnDragging
								});
							 
								/*Init progressBar where elem is $("#owl-demo")*/
								function progressBar(elem){
								  $elem = elem;
								  /*build progress bar elements*/
								  buildProgressBar();
								  /*start counting*/
								  start();
								}
							 
								/*create div#progressBar and div#bar then prepend to $("#owl-demo")*/
								function buildProgressBar(){
								  $progressBar = $("<div>",{
									id:"progressBar-blog"
								  });
								  $bar = $("<div>",{
									id:"bar-blog"
								  });
								  $progressBar.append($bar).prependTo($elem);
								}
							 
								function start() {
								  /*reset timer*/
								  percentTime = 0;
								  isPause = false;
								  /*run interval every 0.01 second*/
								  tick = setInterval(interval, 10);
								};
							 
								function interval() {
								  if(isPause === false){
									percentTime += 1 / time;
									$bar.css({
									   width: percentTime+"%"
									 });
									/*if percentTime is equal or greater than 100*/
									if(percentTime >= 100){
									 /* slide to next item */
									  $elem.trigger('owl.next')
									}
								  }
								}			 
								function pauseOnDragging(){
								  isPause = true;
								}			 
								function moved(){
								  clearTimeout(tick);
								  start();
								}			 				
							});	
						})(jQuery);
					</script>
					<?php }elseif(has_post_format( 'video' )){?>
						<?php $link_video = get_post_meta(get_the_ID(),'_cmb_link_video', true);?>
						<?php if($link_video !=''){?>
							<iframe src="<?php echo esc_url($link_video); ?>" height="247" ></iframe>
						<?php }?>
					<?php }elseif(has_post_format( 'audio' )){?>
						<?php $link_audio = get_post_meta(get_the_ID(),'_cmb_link_audio', true);?>
				        <?php if($link_audio) { ?>
				        	<iframe height="166" width="100%" scrolling="no" frameborder="no" src="<?php echo esc_url($link_audio);?>&amp;color=ff5500&amp;auto_play=false&amp;hide_related=false&amp;show_artwork=true"></iframe>
				        <?php } ?>
					<?php }else{?>
						<?php
							if ( has_post_thumbnail() ) {
								the_post_thumbnail();
							}
						?>	
					<?php }?>												
					<p class="meta_data clearfix">
						<span class="time"><i class="fa fa-calendar-o"></i> <?php the_date( get_option( 'date_format' ) ); ?></span>
						<span class="comments"><i class="fa fa-comments"></i> <a href="<?php comments_link(); ?>"><?php comments_number( __('0 comment', 'hera' ), __('1 comment', 'hera' ), __('% comments', 'hera' )); ?></a></span>
					</p>
					<h5><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h5>
					<p><?php echo hera_excerpt(25); ?></p>				
				</div>
			</div>	
		<?php endwhile; wp_reset_postdata(); ?>	
	</div>
<?php
    return ob_get_clean();
}	

/*Services Box*/
add_shortcode('servicebox2', 'service2_func');
function service2_func($atts, $content = null){
	extract(shortcode_atts(array(
		'title'		=> 	'',
		'icon'		=> 	'',		
		'icon_fontawesome' => '',
		'css' => ''
	), $atts));

	ob_start(); ?>

	<div class="<?php echo vc_shortcode_custom_css_class( $css ); ?> service-box">
        <i class="<?php echo esc_attr($icon_fontawesome); ?> fa-3x"></i>
        <div class="service-title">
            <h5><?php echo htmlspecialchars_decode($title); ?></h5>
        </div>
        <p><?php echo htmlspecialchars_decode($content); ?></p>
    </div>

<?php
    return ob_get_clean();
}

/*Testimonial*/
add_shortcode('testi', 'testi_func');
function testi_func($atts, $content = null){
    extract(shortcode_atts(array(
        'number'    =>  '',             
    ), $atts));
    ob_start();     
    ?>
    				
	<div id="owl-demo" class="owl-carousel owl-theme">
		<?php 
		    $num = (!empty($number)) ? $number : 3;
		    $args = array(   
		        'post_type' => 'testimonial',   
		        'posts_per_page' => $num,
		    );  
		    $wp_query = new WP_Query($args);
		    while($wp_query->have_posts()) : $wp_query->the_post(); 				    
		?>
		<div class="item testimonials-wrap">
			<div class="arrow-right"></div>
			<img src="<?php echo esc_url(wp_get_attachment_url(get_post_thumbnail_id())); ?>" alt="">
			<p><span><?php the_title(); ?></span> - "<?php echo hera_excerpt(50); ?>"</p>
		</div>
		<?php endwhile; ?>
	</div>

	<script>
		(function($) { "use strict";
			/* Quote Carousel */
			$(document).ready(function() {
 
			  $("#owl-demo").owlCarousel({
			     
			    navigation: false,
			    pagination:false, 
			    slideSpeed : 300,
				autoPlay : 3000,
			    singleItem:true
			 
			  });
			});			
		})(jQuery); 
	</script>
    <?php return ob_get_clean();
}

/*Our Service (use hera)*/
add_shortcode('servicebox', 'servicebox_func');
function servicebox_func($atts, $content = null){
	extract(shortcode_atts(array(
		'number'	=>	'',	
	), $atts));

	ob_start(); ?>
		<div id="sync5" class="owl-carousel">
			<?php 
			    $num = (!empty($number)) ? $number : 3;
			    $args = array(   
			        'post_type' => 'service',   
			        'posts_per_page' => $number,
			    );  
			    $wp_query = new WP_Query($args);
			    while($wp_query->have_posts()) : $wp_query->the_post(); 				    
			?>
			<div class="item">
				<div class="services-big-top-box">
					<img src="<?php echo esc_url(wp_get_attachment_url(get_post_thumbnail_id())); ?>" alt="">
					<h6><?php the_title(); ?></h6>
					<p><?php the_content(); ?></p>
				</div>
			</div>
			<?php endwhile; ?>
		</div>
		<div id="sync6" class="owl-carousel">


			<?php
				$args = array(
					'post_type' => 'service',
					'posts_per_page' => $number,
				);
				$services = new WP_Query($args);
				if($services->have_posts()) : while($services->have_posts()) : $services->the_post(); 			
			?>
			<div class="item">
				<div class="services-top-box">
					<div class="arrow-up"></div>
					<img src="<?php echo esc_url(wp_get_attachment_url(get_post_thumbnail_id())); ?>" alt="">
					<h6><?php the_title(); ?></h6>
				</div>	
			</div>	
			<?php endwhile; wp_reset_postdata();  endif; ?>	
		</div>	
		<script>
		(function($) { "use strict";
			$(document).ready(function() {
 
			  var sync1 = $("#sync5");
			  var sync2 = $("#sync6");
			 
			  sync1.owlCarousel({
			    singleItem : true,
			    slideSpeed : 1000,
			    navigation: false,
			    pagination:false,
			    afterAction : syncPosition,
			    responsiveRefreshRate : 200,
			      afterInit : progressBar,
			      afterMove : moved,
			      startDragging : pauseOnDragging
			  });


			  var time = 5; /* time in seconds*/
			 
			  var $progressBar,
			      $bar, 
			      $elem, 
			      isPause, 
			      tick,
			      percentTime;

			 
			    /*Init progressBar where elem is $("#owl-demo")*/
			    function progressBar(elem){
			      $elem = elem;
			      /*build progress bar elements*/
			      buildProgressBar();
			      /*start counting*/
			      start();
			    }
			 
			    /*create div#progressBar and div#bar then prepend to $("#owl-demo")*/
			    function buildProgressBar(){
			      $progressBar = $("<div>",{
			        id:"progressBar"
			      });
			      $bar = $("<div>",{
			        id:"bar"
			      });
			      $progressBar.append($bar).prependTo($elem);
			    }
			 
			    function start() {
			      /*reset timer*/
			      percentTime = 0;
			      isPause = false;
			      /*run interval every 0.01 second*/
			      tick = setInterval(interval, 10);
			    };
			 
			    function interval() {
			      if(isPause === false){
			        percentTime += 1 / time;
			        $bar.css({
			           width: percentTime+"%"
			         });
			        /*if percentTime is equal or greater than 100*/
			        if(percentTime >= 100){
			          /*slide to next item */
			          $elem.trigger('owl.next')
			        }
			      }
			    }
			 
			    /*pause while dragging */
			    function pauseOnDragging(){
			      isPause = true;
			    }
			 
			    /*moved callback*/
			    function moved(){
			      /*clear interval*/
			      clearTimeout(tick);
			      /*start again*/
			      start();
			    }

			  sync2.owlCarousel({
			    items : <?php echo esc_attr($number); ?>,
			   
			    itemsDesktopSmall     : [979,4],
			    itemsTablet       : [768,3],
			    itemsMobile       : [479,2],
			    pagination:false,
			    responsiveRefreshRate : 100,
			    afterInit : function(el){
			      el.find(".owl-item").eq(0).addClass("synced");
			    }
			  });
			 
			  function syncPosition(el){
			    var current = this.currentItem;
			    $("#sync6")
			      .find(".owl-item")
			      .removeClass("synced")
			      .eq(current)
			      .addClass("synced")
			    if($("#sync6").data("owlCarousel") !== undefined){
			      center(current)
			    }
			  }
			 
			  $("#sync6").on("click", ".owl-item", function(e){
			    e.preventDefault();
			    var number = $(this).data("owlItem");
			    sync1.trigger("owl.goTo",number);
			  });
			 
			  function center(number){
			    var sync2visible = sync2.data("owlCarousel").owl.visibleItems;
			    var num = number;
			    var found = false;
			    for(var i in sync2visible){
			      if(num === sync2visible[i]){
			        var found = true;
			      }
			    }
			 
			    if(found===false){
			      if(num>sync2visible[sync2visible.length-1]){
			        sync2.trigger("owl.goTo", num - sync2visible.length+2)
			      }else{
			        if(num - 1 === -1){
			          num = 0;
			        }
			        sync2.trigger("owl.goTo", num);
			      }
			    } else if(num === sync2visible[sync2visible.length-1]){
			      sync2.trigger("owl.goTo", sync2visible[1])
			    } else if(num === sync2visible[0]){
			      sync2.trigger("owl.goTo", num-1)
			    }
			    
			  }
			 
			}); 
		})(jQuery);
		</script>
	<?php

    return ob_get_clean();
}

/*History*/
add_shortcode('history', 'history_func');
function history_func($atts, $content = null){
    extract(shortcode_atts(array(
    	'title'		=>	'',
        'number'    =>  '',                
    ), $atts));
    ob_start(); 
    
    ?>

    <div class="parallax-section">
		
		<div class="just_pattern"></div>
		<div class="video-play-section">
			<div class="container z-index-pages">
				<div class="twelve columns" data-scrollreveal="enter top and move 250px over 1.5s">
					<h5><?php echo htmlspecialchars_decode($title); ?></h5>
				</div>
				<div class="twelve columns">
					<div class="text-line-pages"></div>
				</div>
				<div class="twelve columns" data-scrollreveal="enter bottom and move 250px over 1.5s">
					<div id="sync3" class="owl-carousel">
						<?php 
						    $num = (!empty($number)) ? $number : 3;
						    $args = array(   
						        'post_type' => 'history',   
						        'posts_per_page' => $number,
						    );  
						    $wp_query = new WP_Query($args);
						    while($wp_query->have_posts()) : $wp_query->the_post(); 				    
						?>
							<div class="item">
								<?php
							     include_once( ABSPATH . 'wp-admin/includes/plugin.php' );     
							     if ( is_plugin_active('meta-box/meta-box.php') ) { ?>        
							        <?php $images = rwmb_meta( '_cmb_bg_page', "type=image" ); ?>
							        <?php if($images){ foreach ( $images as $image ) { ?>
							        <?php $img =  $image['full_url']; ?>	
										<img src="<?php echo esc_url($img); ?>" alt=""/>
									<?php } } ?>
				    			<?php } ?>	
								<div class="over-image">
									<h6><?php the_title(); ?></h6>	
									<p><?php the_content(); ?></p>						
								</div>					
							</div>
						<?php endwhile; ?>
					</div>
					<div id="sync4" class="owl-carousel">
						<?php
							$args = array(
								'post_type' => 'history',
								'posts_per_page' => $number,
							);
							$services = new WP_Query($args);
							if($services->have_posts()) : while($services->have_posts()) : $services->the_post(); 			
						?>
							<div class="item" ></div>
						<?php endwhile; wp_reset_postdata();  endif; ?>
					</div>
					<script>
						(function($) { "use strict";
							$(document).ready(function() {
				 
							  var sync1 = $("#sync3");
							  var sync2 = $("#sync4");
							 
							  sync1.owlCarousel({
							    singleItem : true,
							    slideSpeed : 1000,
							    navigation: false,
							    pagination:false,
							    afterAction : syncPosition,
							    responsiveRefreshRate : 200,
							      afterInit : progressBar,
							      afterMove : moved,
							      startDragging : pauseOnDragging
							  });


							  var time = 5; /* time in seconds */
							 
							  var $progressBar,
							      $bar, 
							      $elem, 
							      isPause, 
							      tick,
							      percentTime;

							 
							    /*Init progressBar where elem is $("#owl-demo")*/
							    function progressBar(elem){
							      $elem = elem;
							      /*build progress bar elements*/
							      buildProgressBar();
							      /*start counting*/
							      start();
							    }
							 
							    /*create div#progressBar and div#bar then prepend to $("#owl-demo")*/
							    function buildProgressBar(){
							      $progressBar = $("<div>",{
							        id:"progressBar"
							      });
							      $bar = $("<div>",{
							        id:"bar"
							      });
							      $progressBar.append($bar).prependTo($elem);
							    }
							 
							    function start() {
							      /*reset timer*/
							      percentTime = 0;
							      isPause = false;
							      /*run interval every 0.01 second*/
							      tick = setInterval(interval, 10);
							    };
							 
							    function interval() {
							      if(isPause === false){
							        percentTime += 1 / time;
							        $bar.css({
							           width: percentTime+"%"
							         });
							        /*if percentTime is equal or greater than 100*/
							        if(percentTime >= 100){
							          /*slide to next item */
							          $elem.trigger('owl.next')
							        }
							      }
							    }
							 
							    /*pause while dragging */
							    function pauseOnDragging(){
							      isPause = true;
							    }
							 
							    /*moved callback*/
							    function moved(){
							      /*clear interval*/
							      clearTimeout(tick);
							      /*start again*/
							      start();
							    }
							    
							  sync2.owlCarousel({
							    items : <?php echo esc_attr($number); ?>,
							    itemsDesktop      : [1199,4],
							    itemsDesktopSmall     : [979,4],
							    itemsTablet       : [768,4],
							    itemsMobile       : [479,4],
							    pagination:false,
							    responsiveRefreshRate : 100,
							    afterInit : function(el){
							      el.find(".owl-item").eq(0).addClass("synced");
							    }
							  });
							 
							  function syncPosition(el){
							    var current = this.currentItem;
							    $("#sync4")
							      .find(".owl-item")
							      .removeClass("synced")
							      .eq(current)
							      .addClass("synced")
							    if($("#sync4").data("owlCarousel") !== undefined){
							      center(current)
							    }
							  }
							 
							  $("#sync4").on("click", ".owl-item", function(e){
							    e.preventDefault();
							    var number = $(this).data("owlItem");
							    sync1.trigger("owl.goTo",number);
							  });
							 
							  function center(number){
							    var sync2visible = sync2.data("owlCarousel").owl.visibleItems;
							    var num = number;
							    var found = false;
							    for(var i in sync2visible){
							      if(num === sync2visible[i]){
							        var found = true;
							      }
							    }
							 
							    if(found===false){
							      if(num>sync2visible[sync2visible.length-1]){
							        sync2.trigger("owl.goTo", num - sync2visible.length+2)
							      }else{
							        if(num - 1 === -1){
							          num = 0;
							        }
							        sync2.trigger("owl.goTo", num);
							      }
							    } else if(num === sync2visible[sync2visible.length-1]){
							      sync2.trigger("owl.goTo", sync2visible[1])
							    } else if(num === sync2visible[0]){
							      sync2.trigger("owl.goTo", num-1)
							    }
							    
							  }
							 
							});	
						})(jQuery);
					</script>
				</div>				
			</div>			
		</div>
	</div>	
    				
					
    <?php return ob_get_clean();
}

/*Contact Info (use)*/
add_shortcode('cinfo','cinfo_func');
function cinfo_func($atts, $content = null){
	extract(shortcode_atts(array(
		'icon_fontawesome'		=> '',
		'title' 	=> '',
	), $atts));

	ob_start(); ?>

	<div class="contact-det">
		<h6><i class="<?php echo esc_attr($icon_fontawesome); ?>"></i><?php echo htmlspecialchars_decode($title); ?></h6>
		<p><?php echo htmlspecialchars_decode($content); ?></p>
	</div>

<?php
    return ob_get_clean();
}

/*Gmap*/
add_shortcode('maps','maps_func');
function maps_func($atts, $content = null){
	extract(shortcode_atts(array(		
		'iconmap'	 	 => '',
		'address'        => '',		
		'latitude'		 => '',
		'longitude'	 	 => '',
		'zoommap'        => '',		
		'main_color'      => '',
		'saturation_value' => '',
		'brightness_value' => ''
	), $atts));
	$id_map1 = uniqid( 'google-container' );
	$main_color1 = ( !empty($main_color ) ? $main_color : '#cccccc');
	$saturation_value1 = ( !empty($saturation_value ) ? $saturation_value : -100);
	$brightness_value1 = ( !empty($brightness_value ) ? $brightness_value : 9);

	ob_start(); ?>

	<div id="cd-google-map">
		<div id="<?php echo esc_attr( $id_map1 ); ?>" style="position: relative;width: 100%;height: 500px;"></div>
		<div id="cd-zoom-in"></div>
		<div id="cd-zoom-out"></div>
		<?php if($address != ''){ ?> <address><?php echo htmlspecialchars_decode($address); ?></address> <?php } ?>
	</div>	

	<script type="text/javascript">
		
		(function($) { "use strict"

			/*set your google maps parameters <?php echo esc_attr($latitude); ?>,<?php echo esc_attr($longitude); ?>*/

			jQuery(document).ready(function($){
				
				var latitude = <?php echo esc_attr($latitude); ?>,
					longitude = <?php echo esc_attr($longitude); ?>,
					map_zoom = <?php echo esc_attr($zoommap); ?>;

				/*google map custom marker icon - .png fallback for IE11*/
				var is_internetExplorer11= navigator.userAgent.toLowerCase().indexOf('trident') > -1;
				var marker_url = ( is_internetExplorer11 ) ? '<?php echo wp_get_attachment_image_url( $iconmap, 'full' ); ?>' : '<?php echo get_template_directory_uri(); ?>/images/cd-icon-location.svg';
					
				/*define the basic color of your map, plus a value for saturation and brightness*/
				var	main_color = '<?php echo esc_attr($main_color1); ?>',
					saturation_value= <?php echo esc_attr($saturation_value1); ?>,
					brightness_value= <?php echo esc_attr($brightness_value1); ?>;

				/*we define here the style of the map*/
				var style= [ 
					{
						
						elementType: "labels",
						stylers: [
							{saturation: saturation_value}
						]
					},  
					{	 
						featureType: "poi",
						elementType: "labels",
						stylers: [
							{visibility: "off"}
						]
					},
					{
						
						featureType: 'road.highway',
						elementType: 'labels',
						stylers: [
							{visibility: "off"}
						]
					}, 
					{ 	
						
						featureType: "road.local", 
						elementType: "labels.icon", 
						stylers: [
							{visibility: "off"} 
						] 
					},
					{ 
						
						featureType: "road.arterial", 
						elementType: "labels.icon", 
						stylers: [
							{visibility: "off"}
						] 
					},
					{
						
						featureType: "road",
						elementType: "geometry.stroke",
						stylers: [
							{visibility: "off"}
						]
					}, 
					
					{ 
						featureType: "transit", 
						elementType: "geometry.fill", 
						stylers: [
							{ hue: main_color },
							{ visibility: "on" }, 
							{ lightness: brightness_value }, 
							{ saturation: saturation_value }
						]
					}, 
					{
						featureType: "poi",
						elementType: "geometry.fill",
						stylers: [
							{ hue: main_color },
							{ visibility: "on" }, 
							{ lightness: brightness_value }, 
							{ saturation: saturation_value }
						]
					},
					{
						featureType: "poi.government",
						elementType: "geometry.fill",
						stylers: [
							{ hue: main_color },
							{ visibility: "on" }, 
							{ lightness: brightness_value }, 
							{ saturation: saturation_value }
						]
					},
					{
						featureType: "poi.sport_complex",
						elementType: "geometry.fill",
						stylers: [
							{ hue: main_color },
							{ visibility: "on" }, 
							{ lightness: brightness_value }, 
							{ saturation: saturation_value }
						]
					},
					{
						featureType: "poi.attraction",
						elementType: "geometry.fill",
						stylers: [
							{ hue: main_color },
							{ visibility: "on" }, 
							{ lightness: brightness_value }, 
							{ saturation: saturation_value }
						]
					},
					{
						featureType: "poi.business",
						elementType: "geometry.fill",
						stylers: [
							{ hue: main_color },
							{ visibility: "on" }, 
							{ lightness: brightness_value }, 
							{ saturation: saturation_value }
						]
					},
					{
						featureType: "transit",
						elementType: "geometry.fill",
						stylers: [
							{ hue: main_color },
							{ visibility: "on" }, 
							{ lightness: brightness_value }, 
							{ saturation: saturation_value }
						]
					},
					{
						featureType: "transit.station",
						elementType: "geometry.fill",
						stylers: [
							{ hue: main_color },
							{ visibility: "on" }, 
							{ lightness: brightness_value }, 
							{ saturation: saturation_value }
						]
					},
					{
						featureType: "landscape",
						stylers: [
							{ hue: main_color },
							{ visibility: "on" }, 
							{ lightness: brightness_value }, 
							{ saturation: saturation_value }
						]
						
					},
					{
						featureType: "road",
						elementType: "geometry.fill",
						stylers: [
							{ hue: main_color },
							{ visibility: "on" }, 
							{ lightness: brightness_value }, 
							{ saturation: saturation_value }
						]
					},
					{
						featureType: "road.highway",
						elementType: "geometry.fill",
						stylers: [
							{ hue: main_color },
							{ visibility: "on" }, 
							{ lightness: brightness_value }, 
							{ saturation: saturation_value }
						]
					}, 
					{
						featureType: "water",
						elementType: "geometry",
						stylers: [
							{ hue: main_color },
							{ visibility: "on" }, 
							{ lightness: brightness_value }, 
							{ saturation: saturation_value }
						]
					}
				];
					
				/*set google map options*/
				var map_options = {
					center: new google.maps.LatLng(latitude, longitude),
					zoom: map_zoom,
					panControl: false,
					zoomControl: false,
					mapTypeControl: false,
					streetViewControl: false,
					mapTypeId: google.maps.MapTypeId.ROADMAP,
					scrollwheel: false,
					styles: style,
				}
				/*inizialize the map*/
				var map = new google.maps.Map(document.getElementById('<?php echo esc_attr( $id_map1 ); ?>'), map_options);
				/*add a custom marker to the map*/				
				var marker = new google.maps.Marker({
					position: new google.maps.LatLng(latitude, longitude),
					map: map,
					visible: true,
					icon: marker_url,
				});

				/*add custom buttons for the zoom-in/zoom-out on the map*/
				function CustomZoomControl(controlDiv, map) {
					/*grap the zoom elements from the DOM and insert them in the map*/ 
					var controlUIzoomIn= document.getElementById('cd-zoom-in'),
						controlUIzoomOut= document.getElementById('cd-zoom-out');
					controlDiv.appendChild(controlUIzoomIn);
					controlDiv.appendChild(controlUIzoomOut);

					/*Setup the click event listeners and zoom-in or out according to the clicked element*/
					google.maps.event.addDomListener(controlUIzoomIn, 'click', function() {
						map.setZoom(map.getZoom()+1)
					});
					google.maps.event.addDomListener(controlUIzoomOut, 'click', function() {
						map.setZoom(map.getZoom()-1)
					});
				}

				var zoomControlDiv = document.createElement('div');
				var zoomControl = new CustomZoomControl(zoomControlDiv, map);

				/*insert the zoom div on the top left of the map*/
				map.controls[google.maps.ControlPosition.LEFT_TOP].push(zoomControlDiv);
			});
		
		})(jQuery);

	</script>

<?php
    return ob_get_clean();
}
?>