<?php
if ( ! defined( 'ABSPATH' ) ) {
	die( '-1' );
}

/**
 * Shortcode attributes
 * @var $atts
 * @var $el_class
 * @var $width
 * @var $css
 * @var $offset
 * @var $column_effect
 * @var $time
 * @var $distance
 * @var $content - shortcode content
 * @var $css_animation
 * Shortcode class
 * @var $this WPBakeryShortCode_VC_Column
 */
$el_class = $width = $css = $offset = $column_effect = $time = $distance = $css_animation = '';
$output = '';
$atts = vc_map_get_attributes( $this->getShortcode(), $atts );
extract( $atts );

$width = wpb_translateColumnWidthToSpan( $width );
$width = vc_column_offset_class_merge( $offset, $width );

$css_classes = array(
	$this->getExtraClass( $el_class ) . $this->getCSSAnimation( $css_animation ),
	'wpb_column',
	$width,
	vc_shortcode_custom_css_class( $css ),
);

if ( vc_shortcode_custom_css_has_property( $css, array(
	'border',
	'background',
) ) ) {
	$css_classes[] = 'vc_col-has-fill';
}

$wrapper_attributes = array();

$css_class = preg_replace( '/\s+/', ' ', apply_filters( VC_SHORTCODE_CUSTOM_CSS_FILTER_TAG, implode( ' ', array_filter( $css_classes ) ), $this->settings['base'], $atts ) );
$wrapper_attributes[] = 'class="' . esc_attr( trim( $css_class ) ) . '"';

$output .= '<div ' . implode( ' ', $wrapper_attributes ) . '>';
$output .= '<div class="' . esc_attr( trim( vc_shortcode_custom_css_class( $css ) ) ) . '">';
if($column_effect == 'bottommove'){
	$output .= '<div class="wpb_wrapper" data-scrollreveal="enter bottom and move '. $distance .'px over '. $time .'s">';
}elseif($column_effect == 'topmove'){
	$output .= '<div class="wpb_wrapper" data-scrollreveal="enter top and move '. $distance .'px over '. $time .'s">';
}elseif($column_effect == 'leftmove'){
	$output .= '<div class="wpb_wrapper" data-scrollreveal="enter left and move '. $distance .'px over '. $time .'s">';
}elseif($column_effect == 'rightmove'){
	$output .= '<div class="wpb_wrapper" data-scrollreveal="enter right and move '. $distance .'px over '. $time .'s">';
}else{
	$output .= '<div class="wpb_wrapper">';
}
$output .= wpb_js_remove_wpautop( $content );
$output .= '</div>';
$output .= '</div>';
$output .= '</div>';

echo $output;